summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2023-12-14 20:44:04 +0000
committerV3n3RiX <venerix@koprulu.sector>2023-12-14 20:44:04 +0000
commit46227d4bea72a4d588141f40667699df3aeef2b0 (patch)
treefe9f107ad101a24dfb24866d1ae2a933f9f8bbe8 /dev-python
parent349911d45bc38140a6a32c0971e0ab5cdc4de9ac (diff)
gentoo auto-resync : 14:12:2023 - 20:44:04
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Faker/Faker-21.0.0.ebuild40
-rw-r--r--dev-python/Faker/Manifest2
-rw-r--r--dev-python/Frozen-Flask/Frozen-Flask-1.0.1.ebuild4
-rw-r--r--dev-python/Frozen-Flask/Manifest3
-rw-r--r--dev-python/Frozen-Flask/files/Frozen-Flask-1.0.1-hatchling.patch34
-rw-r--r--dev-python/Manifest.gzbin271052 -> 271228 bytes
-rw-r--r--dev-python/cherrypy/Manifest2
-rw-r--r--dev-python/cherrypy/cherrypy-18.9.0.ebuild67
-rw-r--r--dev-python/coverage/Manifest2
-rw-r--r--dev-python/coverage/coverage-7.3.3.ebuild83
-rw-r--r--dev-python/dep-logic/Manifest3
-rw-r--r--dev-python/dep-logic/dep-logic-0.0.3.ebuild25
-rw-r--r--dev-python/dep-logic/metadata.xml12
-rw-r--r--dev-python/elastic-transport/Manifest2
-rw-r--r--dev-python/elastic-transport/elastic-transport-8.11.0.ebuild64
-rw-r--r--dev-python/fakeredis/Manifest2
-rw-r--r--dev-python/fakeredis/fakeredis-2.20.1.ebuild84
-rw-r--r--dev-python/guessit/Manifest2
-rw-r--r--dev-python/guessit/guessit-3.8.0.ebuild38
-rw-r--r--dev-python/hatchling/Manifest2
-rw-r--r--dev-python/hatchling/hatchling-1.20.0.ebuild86
-rw-r--r--dev-python/isort/Manifest2
-rw-r--r--dev-python/isort/isort-5.13.2.ebuild76
-rw-r--r--dev-python/mysqlclient/Manifest2
-rw-r--r--dev-python/mysqlclient/mysqlclient-2.2.1.ebuild92
-rw-r--r--dev-python/pdm/Manifest2
-rw-r--r--dev-python/pdm/pdm-2.11.1.ebuild82
-rw-r--r--dev-python/prompt-toolkit/Manifest2
-rw-r--r--dev-python/prompt-toolkit/prompt-toolkit-3.0.43.ebuild25
-rw-r--r--dev-python/psycopg/Manifest2
-rw-r--r--dev-python/psycopg/psycopg-3.1.15.ebuild76
-rw-r--r--dev-python/pythonfinder/Manifest2
-rw-r--r--dev-python/pythonfinder/pythonfinder-2.0.6.ebuild5
-rw-r--r--dev-python/readthedocs-sphinx-ext/Manifest2
-rw-r--r--dev-python/readthedocs-sphinx-ext/readthedocs-sphinx-ext-2.2.4.ebuild30
-rw-r--r--dev-python/sentry-sdk/Manifest2
-rw-r--r--dev-python/sentry-sdk/sentry-sdk-1.39.1.ebuild143
-rw-r--r--dev-python/trio/Manifest2
-rw-r--r--dev-python/trio/trio-0.23.2.ebuild67
-rw-r--r--dev-python/trove-classifiers/Manifest2
-rw-r--r--dev-python/trove-classifiers/trove-classifiers-2023.11.29.ebuild22
-rw-r--r--dev-python/versioningit/Manifest2
-rw-r--r--dev-python/versioningit/versioningit-3.0.0.ebuild43
-rw-r--r--dev-python/zeroconf/Manifest2
-rw-r--r--dev-python/zeroconf/zeroconf-0.129.0.ebuild56
45 files changed, 1290 insertions, 8 deletions
diff --git a/dev-python/Faker/Faker-21.0.0.ebuild b/dev-python/Faker/Faker-21.0.0.ebuild
new file mode 100644
index 000000000000..8f6863a1716d
--- /dev/null
+++ b/dev-python/Faker/Faker-21.0.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A Python package that generates fake data for you"
+HOMEPAGE="
+ https://github.com/joke2k/faker/
+ https://pypi.org/project/Faker/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/python-dateutil-2.4.2[${PYTHON_USEDEP}]
+ !dev-ruby/faker
+"
+BDEPEND="
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP},tiff]
+ dev-python/validators[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=faker.contrib.pytest.plugin
+ epytest
+}
diff --git a/dev-python/Faker/Manifest b/dev-python/Faker/Manifest
index d4c713a1de12..6ec67bfba630 100644
--- a/dev-python/Faker/Manifest
+++ b/dev-python/Faker/Manifest
@@ -1,3 +1,5 @@
DIST Faker-20.1.0.tar.gz 1701717 BLAKE2B c213aa69326c80adf2b68b093fb7aa9e9d7aaee06f235d9d8dc3d3b24d9e7b4ad15c7412a9c3539749c58ad47bb63d5f4a0c94dd6318a8539a225450b65ab6b3 SHA512 6241c90d6233e58e763d5de3d6550b9fd9bb33af0f736209edcd60b8d6e0e57eebe3e86fd86c141816ad1817cea949b2a6d16f212413d8748b82370c2bae57b0
+DIST Faker-21.0.0.tar.gz 1701697 BLAKE2B 9f08603101f24b9e245dfa726f38b0e9ee00f208d8f4b06fbc31daa405c5b02779aaf36e2e2177cf8f50f5a63e27f0a63bec166fb3be07269d5a7acae6535ebf SHA512 13cd146ef4c59f1b7318c95be1b637c986d089301d14c46259e6bf3a56f14033f1c3e4a0c813b4b168154be01158b2eee194b204c6eb2930fe5946f357a7ebcb
EBUILD Faker-20.1.0.ebuild 858 BLAKE2B c897d7c9aba4094966e10ddb2526384ebb9da903eb4cf20a780e4813fdcb7057a719c973e056d0681337a3074e92a8c5ebdd83954f25a63acac21b90e75262b1 SHA512 75c7cb78d3b004f648892f4d97625d19d7614af4f48c8450ad6bec3812fb9dc5a450ff32e77e695fc5ae86930ba6511c60a9f4ceb11b07e535543366ae94c7bb
+EBUILD Faker-21.0.0.ebuild 865 BLAKE2B 7f21a16c439e5ef84f884fa413568fd8c8f359e464d20c60aefd9469f0819313de0d1e7cfd82278eefba6847906d4a4be63143eb5dbed28ae8dd68967fb8d111 SHA512 50d513a18c5f4c1304d1e5e83eba0103cb44e0fb76b1b1922163d74f9c084ff43ccec5010d5bb3e97111c19d7a1a78a51d7868798cddbbc03f864dfabd4c7fd4
MISC metadata.xml 498 BLAKE2B c9b7885dc7d34f2263068624a6b07ac6f1ec8078cc11abb6137612ba57edffefc48dae2708284aa83ecc941ebb2d3b8a87a143648e404a0683e75bb6c078f4e2 SHA512 0b385bbbfbb026803526e43c6c43965ff75f42d3ab133603708b187686aac29de508856e5e8ae7622a66b99032efa97f95c21625e10d074c858d8aff7446a312
diff --git a/dev-python/Frozen-Flask/Frozen-Flask-1.0.1.ebuild b/dev-python/Frozen-Flask/Frozen-Flask-1.0.1.ebuild
index 800b9180f5ab..06ceefb68ef6 100644
--- a/dev-python/Frozen-Flask/Frozen-Flask-1.0.1.ebuild
+++ b/dev-python/Frozen-Flask/Frozen-Flask-1.0.1.ebuild
@@ -25,3 +25,7 @@ RDEPEND="
distutils_enable_sphinx docs \
dev-python/flask-sphinx-themes
distutils_enable_tests pytest
+
+PATCHES=(
+ "${FILESDIR}/${P}-hatchling.patch"
+)
diff --git a/dev-python/Frozen-Flask/Manifest b/dev-python/Frozen-Flask/Manifest
index f0acee017a74..3b64c6b02272 100644
--- a/dev-python/Frozen-Flask/Manifest
+++ b/dev-python/Frozen-Flask/Manifest
@@ -1,3 +1,4 @@
+AUX Frozen-Flask-1.0.1-hatchling.patch 1170 BLAKE2B 5d741222a16a00793b624155a818071eba7625d421c0af55e20d89f79f018adf6b696e1bb7716d655846d48919f7c861b32149f13009ef4475da041fd1be708a SHA512 c646a088171e7aa816428cfafb26097625ff400dc256f499a5ba31b85c32d688975cc939c2e8f9486c65f7c490a93154f5c221cfe4aad2af949e2d54af898c3c
DIST frozen_flask-1.0.1.tar.gz 101449 BLAKE2B 5127e7d6485b5a23025dd31ccad6346c77bcbdb0c537806f014bf9b499c0aaf13e56a406594d86f457b290fad25e938beb4db473ba7c8f1afefd6d2471a8b03c SHA512 b4e1cfebbb374fa8e863436e0ed637e1a57432fb2a2e719536161fea359320384b51238dae1cf3fca0e10d41c9bc7cd84fba4c6978de45c5cfcdba1a494aaea2
-EBUILD Frozen-Flask-1.0.1.ebuild 578 BLAKE2B 3cb6bfe679e2f6f403b7e80de169d6eedc77ea0ad455526aaf30c9b5f4b8656b50cb6a1ffd5ded5710fe3e2b424c1e2c7fc16bf6117c785ddc058211c57affdd SHA512 b87d63070d0811e9c8f49b23bfb1966d7d622f651484d47aee6a6c59c06aba2d4213f2eae818552fcd06492bd9dcd076e1d38fca157eaa46a66c0ca63d2113e5
+EBUILD Frozen-Flask-1.0.1.ebuild 627 BLAKE2B 7d104a21e87287b8db895eb1e3334e2d1b17c73724b3ecbf679e8abe0b81aecac7d04a13400f807086eabf83661e16a534dfe33755845a371a0d48b23a729e48 SHA512 70c8f7cf4b22213ef155d9690cec7405055c0bba0f0aade20f5c87706079cc930d55f9cf4b606c6fee10c8707317d482655fd09259d288ce5ee69a6e3f6d1bc7
MISC metadata.xml 418 BLAKE2B da73d29cda242f659f85fc281c49682670f0de29fb6d5edae6df2e2ed0bf7fafb080221f7512f27eb48b3210eaeb363371e70b8299aa650d5c901fbd7a6680f5 SHA512 95a895607e43532bb5e9e88499b86ca0d43aa3c9a310b960ff8ed7438548d62c1a2758e0ac97b7200399c6cef5ef317029dd4f56d5636175aa285880731e01a1
diff --git a/dev-python/Frozen-Flask/files/Frozen-Flask-1.0.1-hatchling.patch b/dev-python/Frozen-Flask/files/Frozen-Flask-1.0.1-hatchling.patch
new file mode 100644
index 000000000000..f2c433b0b84f
--- /dev/null
+++ b/dev-python/Frozen-Flask/files/Frozen-Flask-1.0.1-hatchling.patch
@@ -0,0 +1,34 @@
+From 8b2bd9f75deef895e3c9f076419b22a7b1fa63aa Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
+Date: Thu, 14 Dec 2023 15:54:39 +0100
+Subject: [PATCH] Fix finding packages witch hatchling >= 1.19.0
+
+Explicitly specify the package name to install, in order to fix
+compatibility with `hatchling >= 1.19.0`. Starting with this version
+(though Frozen-Flask is affected since 1.20.0, due to a bug
+in hatchling), it is necessary to explicitly select packages if they
+do not
+
+As of hatchling >= 1.19.0, it is necessary to explicitly specify
+`packages` to use if they do not fit the default heuristics (i.e. are
+disjoint from the project name).
+
+Since the package is now specified explicitly, the `exclude` rules are
+no longer necessary.
+---
+ pyproject.toml | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/pyproject.toml b/pyproject.toml
+index 2fdfefc..fcf6c1d 100644
+--- a/pyproject.toml
++++ b/pyproject.toml
+@@ -52,7 +52,7 @@ path = 'flask_frozen/__init__.py'
+ exclude = ['.*']
+
+ [tool.hatch.build.targets.wheel]
+-exclude = ['docs', 'tests']
++packages = ['flask_frozen']
+
+ [tool.hatch.envs.doc]
+ features = ['doc']
diff --git a/dev-python/Manifest.gz b/dev-python/Manifest.gz
index 0b113a8d39b1..d54fa9f29530 100644
--- a/dev-python/Manifest.gz
+++ b/dev-python/Manifest.gz
Binary files differ
diff --git a/dev-python/cherrypy/Manifest b/dev-python/cherrypy/Manifest
index bb284aca26cf..f4692956615c 100644
--- a/dev-python/cherrypy/Manifest
+++ b/dev-python/cherrypy/Manifest
@@ -1,4 +1,6 @@
AUX cherrypy-18.8.0-py312.patch 1167 BLAKE2B 0c994cebfefa44fe0ea13210046f391c911db0633adbf1db70013421b4219f63b4986cc3a18fbfbc708fc806fdab5c78b51036dd6c5a4863cf249071b8df2f05 SHA512 06d647b824de4b1fef2a596f323944440f6dd1ef0cdf0fa088db3544f45a63deb9980b2d3588309f06ad6ff97742588be5363c29adbf0b69766760c67ecee179
DIST CherryPy-18.8.0.tar.gz 622679 BLAKE2B 673f9a103a901161ee801656fa37fa0a4fcd2d9276a5231e48c1663264eb7f922d5d862018995a345a8485252416fa0229da49b8d265288efce2dccd37d79ff8 SHA512 abacc995c1757b8d0171d57eb59b6e5931c46019d8f0f43479e334bb4f58b61a27541d9d0997d665f81905bc3c89e42d40d8e5a6e3a5f9bf251bc9089ceb5249
+DIST CherryPy-18.9.0.tar.gz 631900 BLAKE2B 5bc0d4315f6b9300ba8fc122858554a6b6476f78ac1fb31b1635707488a4a300e359d2e368dde9996c202a8f42100ef09e298fb923f955e92d7906ed970d2ba9 SHA512 ed2beacedd3417214f45e59567f2a1faf5964745a545360db2f61251a39f50f2a833745832a2c900673029d98062f7e1813db6c342585f8d2bbae0be423edb3a
EBUILD cherrypy-18.8.0.ebuild 1837 BLAKE2B a1ca1f5565c3a43fa180a8624bd42d4b7c256396c52b283fc8131f0d731bd0cfa044ca6c3c9f2808b75885b2b47ecf5ab2b527d84f78fad094ed338c74fc1c60 SHA512 d6f56161f87956325757dfece47d84b32b5c9582a4bad2dbc3a322d678c500de72b97c54a946f22d48a6ff07e750fe3a7567999c56c46bf2513176479df8a124
+EBUILD cherrypy-18.9.0.ebuild 1738 BLAKE2B 2dc155b1ab26f060dacf5ae6de26c29d0026f4bf759e5d050cd24a0e01e8054c3e032d536326c0d6141be34e16da2244806cd670b96f45b7377b661fb5acbb94 SHA512 7200227bf4d7980897da47f0c117969e9780b9247d24eb640d2e8f63d65637b224534a2d0578ae45a56ee00b6b59b53fa37395d9278fbdadcfb660ac81eb2395
MISC metadata.xml 469 BLAKE2B 8a5e41d7cee996975da9df7a30172bfebd1b715581bc5e4de1934a97332af16a18c928b33ad088723618f3dd694101639702c5d6c2619e3db46c488992aa67a3 SHA512 d08a8114dcdefa5e27a2382604953c7635d376f941f92a128e229f42c3b236da0e36287182c2be735b624566a6bb5dd1c3541bf67396e33169f86e6dd0d0c09a
diff --git a/dev-python/cherrypy/cherrypy-18.9.0.ebuild b/dev-python/cherrypy/cherrypy-18.9.0.ebuild
new file mode 100644
index 000000000000..6913dc90e893
--- /dev/null
+++ b/dev-python/cherrypy/cherrypy-18.9.0.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYPI_PN="CherryPy"
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="CherryPy is a pythonic, object-oriented HTTP framework"
+HOMEPAGE="
+ https://cherrypy.dev/
+ https://github.com/cherrypy/cherrypy/
+ https://pypi.org/project/CherryPy/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="ssl test"
+
+RDEPEND="
+ >=dev-python/cheroot-8.2.1[${PYTHON_USEDEP}]
+ >=dev-python/portend-2.1.1[${PYTHON_USEDEP}]
+ dev-python/more-itertools[${PYTHON_USEDEP}]
+ dev-python/zc-lockfile[${PYTHON_USEDEP}]
+ dev-python/jaraco-collections[${PYTHON_USEDEP}]
+ ssl? (
+ dev-python/pyopenssl[${PYTHON_USEDEP}]
+ )
+"
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/routes[${PYTHON_USEDEP}]
+ dev-python/simplejson[${PYTHON_USEDEP}]
+ dev-python/objgraph[${PYTHON_USEDEP}]
+ dev-python/path[${PYTHON_USEDEP}]
+ dev-python/requests-toolbelt[${PYTHON_USEDEP}]
+ dev-python/pytest-services[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ sed -i -e '/cov/d' pytest.ini || die
+ # upstream has been using xfail to mark flaky tests, then added
+ # xfail_strict... not a good idea
+ sed -i -e '/xfail_strict/d' pytest.ini || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local EPYTEST_DESELECT=()
+ [[ ${EPYTHON} == python3.11 ]] && EPYTEST_DESELECT+=(
+ # broken by changes in traceback output
+ cherrypy/test/test_request_obj.py::RequestObjectTests::testErrorHandling
+ cherrypy/test/test_tools.py::ToolTests::testHookErrors
+ )
+
+ epytest
+}
diff --git a/dev-python/coverage/Manifest b/dev-python/coverage/Manifest
index 8abead4a5928..053a3adbff41 100644
--- a/dev-python/coverage/Manifest
+++ b/dev-python/coverage/Manifest
@@ -1,3 +1,5 @@
DIST coverage-7.3.2.tar.gz 764541 BLAKE2B 5301a45a1618582d6b7bc1c887fdfdc7ef612082675b271e5ab840f2adc357c6a01f59ba5571e6dba61db61c85ee66d40af46b3509dfbf5c996fcf9fd6b2a614 SHA512 94e3b0bae2f84d31448a717f105e4f03e485a47d9498e73e86eca2f040d0980e514e3d9264f5349f70ea93fc985161d89156d0faa444d28cc7a07e51db4e1a46
+DIST coverage-7.3.3.tar.gz 768726 BLAKE2B 0de19dc69341ba98b0581be6c6c4844f699689d9e071e3f473a4de65f4f7d1e8bf673a18428f1d5fe23150068636c1e0b7f8e84d9a8626488aba23a998265857 SHA512 758090c46bac90096d5fd732aa447c91d0db0c0cdedbb607a57141c86882c23d42791b75e55436e580dffdd585d87e35a213e94240268c2992c1122246e4df31
EBUILD coverage-7.3.2.ebuild 2026 BLAKE2B 886fdfdcc5139439f217ff82edf89f77cd9899b208350ac6373b33f88d2cb46db6c7eb4a295f42dd096f9bcd74345adf9e8433b17608358e034672a19c41c71c SHA512 8b5f83577f9a9b6a49048ef7240abcdb4acc77d70a538cb7e5c16e98d408247e5ec70730c3dc197cd480e10e83d6dfb56d52fc648aeffcf4aee48b4d9957f091
+EBUILD coverage-7.3.3.ebuild 2095 BLAKE2B f6763311edb9870ae24b078520325db3947fe83ed248eb6c3b799532f18456e9c476356958200224b7fbed4ae8ff788c3b3730975441c002c9fe70039a0111d0 SHA512 dcee3e9bfa960d4ba70536e52f3be03b07d87f3b75296f39ab468b87fc9cd478d77f4c5f38709c0f693693f284033781406063811009a0be35166618ba1dc95e
MISC metadata.xml 771 BLAKE2B 38e9680d0851f70050aad987714a9dd2f95178b0bc3d794dc08726c0618d1ea98be32a413ac397f4b222e8a5d8fdc747b7f1677bcfe842bac4080537e85a03a9 SHA512 8c44c40348fe5d416d8b4016fe22cc9ae0b94fbaf181deb79aa737f87271992521b710c1208d0eeb7ef92d96fc8a7daac1ec6feb1ae081a80f13327b5b094064
diff --git a/dev-python/coverage/coverage-7.3.3.ebuild b/dev-python/coverage/coverage-7.3.3.ebuild
new file mode 100644
index 000000000000..def635f9fbd0
--- /dev/null
+++ b/dev-python/coverage/coverage-7.3.3.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite(+)"
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Code coverage measurement for Python"
+HOMEPAGE="
+ https://coverage.readthedocs.io/en/latest/
+ https://github.com/nedbat/coveragepy/
+ https://pypi.org/project/coverage/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/tomli[${PYTHON_USEDEP}]
+ ' 3.{9..10})
+"
+BDEPEND="
+ test? (
+ dev-python/flaky[${PYTHON_USEDEP}]
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ >=dev-python/unittest-mixins-1.4[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/addopts/s:-q -n auto::' pyproject.toml || die
+ distutils-r1_src_prepare
+}
+
+test_tracer() {
+ local -x COVERAGE_TEST_TRACER=${1}
+ einfo " Testing with the ${COVERAGE_TEST_TRACER} tracer ..."
+ epytest -p flaky -p hypothesis -p xdist tests
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # TODO: fails because of additional "Terminated" print on SIGTERM
+ tests/test_concurrency.py::SigtermTest::test_sigterm_threading_saves_data
+ # broken because of pytest plugins explicity loaded
+ tests/test_debug.py::ShortStackTest::test_short_stack{,_skip}
+ )
+ local EPYTEST_IGNORE=(
+ # pip these days insists on fetching build deps from Internet
+ tests/test_venv.py
+ )
+
+ "${EPYTHON}" igor.py zip_mods || die
+
+ local -x COVERAGE_TESTING=True
+ # TODO: figure out why they can't be imported inside test env
+ local -x COVERAGE_NO_CONTRACTS=1
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+
+ local prev_opt=$(shopt -p nullglob)
+ shopt -s nullglob
+ local c_ext=( "${BUILD_DIR}/install$(python_get_sitedir)"/coverage/*.so )
+ ${prev_opt}
+
+ if [[ -n ${c_ext} ]]; then
+ cp "${c_ext}" \
+ coverage/ || die
+ test_tracer c
+ rm coverage/*.so || die
+ else
+ test_tracer py
+ fi
+}
diff --git a/dev-python/dep-logic/Manifest b/dev-python/dep-logic/Manifest
new file mode 100644
index 000000000000..342e0399bdb7
--- /dev/null
+++ b/dev-python/dep-logic/Manifest
@@ -0,0 +1,3 @@
+DIST dep_logic-0.0.3.tar.gz 27138 BLAKE2B 647473a3a14236e1103994936012f6a19602d1c33bb0a0dd595859fdcdba319b45f60adc244633fb01a805deda5250a03ff96f09651b68e98eb525b96cb02e4f SHA512 d69811e15412824c43a14cb58ae4ae38ae213ee927adb2ca01980c5ca90aab55d82096e53eab0b3a337b229943001c2df6c03c1817296f9b2cb4b21d28d23e4c
+EBUILD dep-logic-0.0.3.ebuild 518 BLAKE2B fa0351e8c0d9a67746beb4893e9ab78b3e161e32b10db792c7a0178773f9f4aca5c09dd5fe039a227174c940b1ea6b7e6596e364d92f79170fc6acda55c3fe09 SHA512 02179e9684f40954866a5bd5cb996c152b296a92ed16d67c3883100872fa9317410d14eaa26301220f1f0a38f62fa693a09898db627f6e1c29c7bb74b89d4685
+MISC metadata.xml 376 BLAKE2B 9236c3ed79dc4016955d7316d573580fd61cdab5ccf2f0dd88004bb9c4fedbb4eb1a002b79e8bb2fb02792185484849d0e4f798d0a99ac3167de720e9bb6f8f6 SHA512 10b70dd0399365a6b19dc4f7a2d469bb9cd12ce03d3ce35e03b75457706d140edbb2cf6402a6793a58a64c8c91a6cd392e5113bdb86cbaf96df9df06a570132c
diff --git a/dev-python/dep-logic/dep-logic-0.0.3.ebuild b/dev-python/dep-logic/dep-logic-0.0.3.ebuild
new file mode 100644
index 000000000000..020017955bca
--- /dev/null
+++ b/dev-python/dep-logic/dep-logic-0.0.3.ebuild
@@ -0,0 +1,25 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=pdm-backend
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python dependency specifications supporting logical operations"
+HOMEPAGE="
+ https://github.com/pdm-project/dep-logic/
+ https://pypi.org/project/dep-logic/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ >=dev-python/packaging-22[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/dep-logic/metadata.xml b/dev-python/dep-logic/metadata.xml
new file mode 100644
index 000000000000..05398e86fff7
--- /dev/null
+++ b/dev-python/dep-logic/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ </maintainer>
+ <stabilize-allarches/>
+ <upstream>
+ <remote-id type="github">pdm-project/dep-logic</remote-id>
+ <remote-id type="pypi">dep-logic</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/elastic-transport/Manifest b/dev-python/elastic-transport/Manifest
index 202d5a8522b7..df068e2dfcd6 100644
--- a/dev-python/elastic-transport/Manifest
+++ b/dev-python/elastic-transport/Manifest
@@ -1,3 +1,5 @@
DIST elastic-transport-python-8.10.0.gh.tar.gz 71836 BLAKE2B 1be9a93b6b8cb9b7987de721e65ce532fb247fca931179f99dcdee197cec314a8b3626e0db569a494bab45a194530abccbfd8946d66d03c6bedfb17252a8fb3b SHA512 a883509ec8f0000c4a8aeb435d4dee1cbc4563157668c5e1378e16be9d1a5f5a16927de4df9c5244ca6f1c6f2f273ad513c2d29beaa081b11b34416da2883359
+DIST elastic-transport-python-8.11.0.gh.tar.gz 71944 BLAKE2B 9f5199b171f57169e2ca9d77f225a7ad1d67cc28550a41648f37305342f2cddb2c570e0b314057e49d4a5948ceacdbfbe3d928a456ef47fd334abebbf8c6c718 SHA512 b2ab09c63e5824d8cb59ed78728e4670115eee56bb07310e4d8a083b86eace4bc2dfc0dbefc4346906338acf195b193c0f2fc99a0dc1190ac30950fbe6fbcc70
EBUILD elastic-transport-8.10.0.ebuild 1598 BLAKE2B ce65e15c415baaf9260b6600e57fee9257ffb94ae913377ea3ff38c151fb8fddb7c61516e1ecc4b6b5274e155744819384a7957db427fb413b239d3d6bbc9a5f SHA512 9f667bc6ee65560e1c80e89995efb0222a5fd8453a1994d2d191c6931ce4a1605f24116d7a1a1d79ffd9ea5b4104e2fb726a1f3194282b7e549e5a2b7f4dca3f
+EBUILD elastic-transport-8.11.0.ebuild 1601 BLAKE2B 8f505a4515d508f334645127ffc424b6250ce302bf61d172730fdfb247ce16a3b6955357b51e64f83615271c6b6285415a9978b47ac64ed0197b02ac82547f78 SHA512 5a3bce418d73280ba06f44d0c0f3a3a7a4ac28d4cc569b95606d7e55566d57b2829c8347932cb092228c06c230f3ac0aa13b8d90ee7ae15bc488a907fadad096
MISC metadata.xml 569 BLAKE2B 82c4abea94dfb42f0da4cb2958207a35c7d5372e9810c031adcb53e49a0528f9b9fd48043d5d20cfd5a7e8046ea79bb9a6e48fe09948232fc641936bbee96738 SHA512 194ca8b79d33888cc404a5809a6ff43b2c2bef8b108cadce46393bd698b4d30124f6b6fd6732b2a905a2ec492169889f3042fd09d9577d28fa6a0921d88b56e2
diff --git a/dev-python/elastic-transport/elastic-transport-8.11.0.ebuild b/dev-python/elastic-transport/elastic-transport-8.11.0.ebuild
new file mode 100644
index 000000000000..a59158b08eaa
--- /dev/null
+++ b/dev-python/elastic-transport/elastic-transport-8.11.0.ebuild
@@ -0,0 +1,64 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+MY_P=elastic-transport-python-${PV}
+DESCRIPTION="Transport classes and utilities shared among Python Elastic client libraries"
+HOMEPAGE="
+ https://github.com/elastic/elastic-transport-python/
+ https://pypi.org/project/elastic-transport/
+"
+SRC_URI="
+ https://github.com/elastic/elastic-transport-python/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+PROPERTIES="test_network"
+RESTRICT="test"
+
+RDEPEND="
+ dev-python/certifi[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.26.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/aiohttp[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-httpserver[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/trustme[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/sphinx \
+ dev-python/furo \
+ dev-python/sphinx-autodoc-typehints
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e 's:, *<[0-9.]*::' setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # fragile to random warnings
+ tests/node/test_http_aiohttp.py::TestAiohttpHttpNode::test_uses_https_if_verify_certs_is_off
+ tests/node/test_urllib3_chain_certs.py::test_assert_fingerprint_in_cert_chain
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p asyncio -o addopts=
+}
diff --git a/dev-python/fakeredis/Manifest b/dev-python/fakeredis/Manifest
index 75a5ee5df345..482660fb85a0 100644
--- a/dev-python/fakeredis/Manifest
+++ b/dev-python/fakeredis/Manifest
@@ -1,3 +1,5 @@
DIST fakeredis-2.20.0.tar.gz 122679 BLAKE2B 2fd982761fe6e8bd66d2d93b7140b9b97e20d33e40827ac9ab7d050d6e9814891e8a1f95a4f789bc78a1589fe215b40834876da5a3dd0a0ea6f8f7a3489ba400 SHA512 3c71a42df92a92b02c4774cf120c697a5e7f376768923b74561fb4cbe10605b4d57ea826d2b8c4d304ff1e12cf4c84d0fbebc34edd0afa0b0241ff7cb707e5de
+DIST fakeredis-2.20.1.tar.gz 122874 BLAKE2B 65404806c15c9fb9b1a59f04ef64804fae9034ce53658058edea03fc9ca5b3348129a143d6f86566eebcb3b052316ce120d8d04b6ad52d8c5ede81db6906713e SHA512 7ead4a7b5eed318380471ef421a0c59a33142067a104f5e0530e066b62a12f26011233366619ea068cfa71eaf4c617e89a94d62f1a2cda366783e7614e5aa32e
EBUILD fakeredis-2.20.0.ebuild 2171 BLAKE2B b0256730e5f762a00e3c4c21117472ccd3d504777ea8818e8c307ac6c51c4f7c1c8df6ada1f37cd12fba6fc09a86a42c96a2432afa91733b73ca2e9919110050 SHA512 a126938165064e57617c544c3dff73174198f26bf2cc5f219a0959d40262f080dfb773a794a5935017eba2446648bfbcf2691a5bd8ac960cea5d9990e387bbea
+EBUILD fakeredis-2.20.1.ebuild 2175 BLAKE2B 9830a9452a9843e65fd130f4e4be4d93ceb9c6efbeb2c3eee9dd9e9ce63e9f210cbe596b16a5c9920d2ce5cec2a84fab2e63c799feeb7476efbe9e7cfe310f69 SHA512 865a9fd584d8ddefe9d0e842f6f7aaec087ca87b1562977aef12f86d22a0ac30e8c59ab411fc8a15dd84b255b4ca26b7d047752ff4e3d20b1f18157e7df0f127
MISC metadata.xml 373 BLAKE2B 1de33db59658e6190cd0346be58208cae6c9143a52f49dc289e68aaa0d860b5bd68dfb54f2e0b005f60a67f5caa430e2ce94fc69e64bd27e1bbebb07ad29e602 SHA512 24bfcf4919363fef45c182b6de66221e580ee0e9e99ce46e91b767655dc0b6f8a9fa6c3512ba84d1040698c43a0b6a853ad8d63c1ee5fbc00a1d192defb24db5
diff --git a/dev-python/fakeredis/fakeredis-2.20.1.ebuild b/dev-python/fakeredis/fakeredis-2.20.1.ebuild
new file mode 100644
index 000000000000..e7ea729b1da1
--- /dev/null
+++ b/dev-python/fakeredis/fakeredis-2.20.1.ebuild
@@ -0,0 +1,84 @@
+# Copyright 2020-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Fake implementation of redis API for testing purposes"
+HOMEPAGE="
+ https://github.com/cunla/fakeredis-py/
+ https://pypi.org/project/fakeredis/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ dev-python/packaging[${PYTHON_USEDEP}]
+ >=dev-python/redis-4.2[${PYTHON_USEDEP}]
+ <dev-python/sortedcontainers-3[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-db/redis
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # also lupa
+ test/test_aioredis2.py::test_failed_script_error
+ # TODO
+ "test/test_fakeredis.py::test_set_get_nx[StrictRedis]"
+ "test/test_fakeredis.py::test_lpop_count[StrictRedis]"
+ "test/test_fakeredis.py::test_rpop_count[StrictRedis]"
+ "test/test_fakeredis.py::test_zadd_minus_zero[StrictRedis]"
+ "test/test_mixins/test_pubsub_commands.py::test_pubsub_channels[StrictRedis]"
+ test/test_mixins/test_set_commands.py::test_smismember_wrong_type
+ # new redis-server?
+ "test/test_mixins/test_pubsub_commands.py::test_pubsub_shardnumsub[StrictRedis]"
+ # json ext
+ test/test_json/test_json.py
+ test/test_json/test_json_arr_commands.py
+ )
+ local EPYTEST_IGNORE=(
+ # these tests fail a lot...
+ test/test_hypothesis.py
+ )
+ local args=(
+ # tests requiring lupa (lua support)
+ -k 'not test_eval and not test_lua and not test_script'
+ )
+ # Note: this package is not xdist-friendly
+ epytest "${args[@]}"
+}
+
+src_test() {
+ local redis_pid="${T}"/redis.pid
+ local redis_port=6379
+
+ einfo "Spawning Redis"
+ einfo "NOTE: Port ${redis_port} must be free"
+ "${EPREFIX}"/usr/sbin/redis-server - <<- EOF || die "Unable to start redis server"
+ daemonize yes
+ pidfile ${redis_pid}
+ port ${redis_port}
+ bind 127.0.0.1
+ EOF
+
+ # Run the tests
+ distutils-r1_src_test
+
+ # Clean up afterwards
+ kill "$(<"${redis_pid}")" || die
+}
diff --git a/dev-python/guessit/Manifest b/dev-python/guessit/Manifest
index 50ce4dcec354..882afc637807 100644
--- a/dev-python/guessit/Manifest
+++ b/dev-python/guessit/Manifest
@@ -1,3 +1,5 @@
DIST guessit-3.7.1.tar.gz 161488 BLAKE2B 66851898aad5386692bd3535e01e74918b31c59d56c2b2a4ead3d126f0ce30c4f7388bcaa0acd06652f3b72bba99aacf29bd7d9d8abbc38d38f2d259a77bbe17 SHA512 4932407ca3a283a756291a69ef4cd4dcd96ea9c37b6d30331f134b2285960afb1f6adecdb299474ef7dfdea4b6e2e029ddab0789998efe7aea13d0e5bb8c54d6
+DIST guessit-3.8.0.tar.gz 271285 BLAKE2B 67ff29739839c79b95ad6022ad0329698af62abcbbbed7e9f52ba1c2e60f5c69defda5e87d97607d3eaeeb7668a9f4b82de05140f23555c800731c2236b0f7e6 SHA512 968e8f27dd41dcaece27444cd5117990726ef73467cedbc008dcf0fe2d1f2010209253e2fa6d645e30d9eaffe613080f1c2d77bda772227c1e6e04910d58f7ad
EBUILD guessit-3.7.1.ebuild 837 BLAKE2B 02463d11909d0f54ab6bdc8db3569e2945436d4fccf833708e362615eb83f1fd4c52ba90b2d8717dbb4518cdc40700618bbc7c0d618096e4e6a9c4bff1ae3070 SHA512 3062e1057080f1e75c8e24c7f27e1793b3215a4170836425a366ad707071f2fea70bb4a44148d043acc10cf1ffa70167e41d3ebcde961c3958462cc711c54971
+EBUILD guessit-3.8.0.ebuild 840 BLAKE2B 5d3b1d9317fc31e0c6776e6dfa5cd5311f5d908b7e6a7c6eb62f1aaaecf3f0ae53b97d4a9a006a970a78142508dfcd7cd3aa2c90e48a03701ce2857beb3d65f3 SHA512 851cc32b26519813bf1a0987ba778fd5d57ca55f686f7ffe6f5547451c120f03c9df35c16cb9f55d1766b01f70bf053391f3e6b0bcf045731adab9fe11c23527
MISC metadata.xml 393 BLAKE2B 6aaa0bb7a7cac0915e2aa2d65bbc311144f5ac04ace0abbf5591f94d7e4b50c80754d9ac5d92039fb0494ebaf4051fcd9d0de60f208fcad3fb4fec521503a7d5 SHA512 02502c60dec90c160d8bdb29223cf27bf0ea6e23d01b3feb336f747e13c0c830f788e1b42fede862706d7b45927f08f3c8bc124dd8bac7c94264a0659a9df9c9
diff --git a/dev-python/guessit/guessit-3.8.0.ebuild b/dev-python/guessit/guessit-3.8.0.ebuild
new file mode 100644
index 000000000000..77f3062e94b0
--- /dev/null
+++ b/dev-python/guessit/guessit-3.8.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python library for guessing information from video filenames"
+HOMEPAGE="
+ https://github.com/guessit-io/guessit/
+ https://pypi.org/project/guessit/
+"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/babelfish-0.5.5[${PYTHON_USEDEP}]
+ >=dev-python/rebulk-3.2.0[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # Disable benchmarks as they require unavailable pytest-benchmark.
+ guessit/test/test_benchmark.py
+)
diff --git a/dev-python/hatchling/Manifest b/dev-python/hatchling/Manifest
index f138299bb59b..905a816394e6 100644
--- a/dev-python/hatchling/Manifest
+++ b/dev-python/hatchling/Manifest
@@ -1,7 +1,9 @@
DIST hatch-hatchling-v1.18.0.gh.tar.gz 386992 BLAKE2B 9597d139ca0d59b82862a4b89208bf61ceb0859ed37e2f62c14f7f26550638716cd375082cae6ce0e233f92297b97015af5587144c2d801ecacdb15a07f32cf2 SHA512 e71e51fdace9b9aa276c2efba3a81a030ed934c21283057f83a6ce4a09f8feed8cd4386088280c9fe1381dd92e574daeda8c845a6a2cf6a015708126ca9788d7
DIST hatch-hatchling-v1.19.0.gh.tar.gz 601176 BLAKE2B 1625e8a3da1158328c5aba5fbec6282cd6603ad34ed48ec4fd2ca3e5bd79141f4bb98f631d50cf9796fb1cbbd1274e4948d0a535a65499f7d0209111c323f043 SHA512 eacbe002e5905468c4374c72dd53fdc5ab4b22d8ea0ce6ca56a12c6bf97b67d5d711dbbaa85cf1a11995fac9fe42c99cf870cb6a46705ea738081ec689ac6468
DIST hatch-hatchling-v1.19.1.gh.tar.gz 761441 BLAKE2B 622cf0c799758506c2f13840103d886e739dade12362bd21bd8c6336f5bb7da235517b94cfece8835e5dd476dbac7f035a77b055ca0e11f2cee513572fc9a20e SHA512 4ccc857771fa7d0aad05e8023b4f7c021dd919d92385e23684261f83d6323149f1b347900ddbe664af97d377e329f6ea3a8ad011b1834057a699186743493e08
+DIST hatch-hatchling-v1.20.0.gh.tar.gz 761937 BLAKE2B 7e413a98d21fde46676ecb4264875f6addcd18efcf73d208cfb2ce36bc07ff7889c5a0884ac9f0c1537801f7ac6ec73f0fc74f18ca202b2b4d8ee13328ee912a SHA512 5b4c31825238fa21002fb72fea726a4bd2f16d39f1b4026506ab662df20a03e49eff912d39c34091335aeea448bf2a1b07e6a1d723a26a16794792ed0b17f2b1
EBUILD hatchling-1.18.0.ebuild 2610 BLAKE2B df2d80cdcea2e34650d383893df35372c1db24722ce00ba0a5d3f2c2e114cc08d97d1ae56d13d1f7a2e037ec9c065ce74f5d7854882aef067d84635220cbe3c5 SHA512 33bdcfdf3373e50aef2d1c1ca3f3b568d16079a4bb09dee7c949c2bb1b8911e3660e0f5c418c6316ac5d64f56a8408e57f3d2187209ceb7a33f5617cc6a3be1d
EBUILD hatchling-1.19.0.ebuild 2610 BLAKE2B 2d408d0e66e3df61adf66a32e505137b22a73741f964c95214a37bd44b658f54289ec51db2c11de3aa521e816068f4e1ab5fb7de4542bde87cd4f6d1426fb144 SHA512 a4e7d38d4f91b613e79e45dba86fd072dde76353ad1c87f6b2765393313e7861cfb67e6b34783df5fcc46ec016b099492147f226eaf8c18ea001b9ac496338d2
EBUILD hatchling-1.19.1.ebuild 2610 BLAKE2B 2d408d0e66e3df61adf66a32e505137b22a73741f964c95214a37bd44b658f54289ec51db2c11de3aa521e816068f4e1ab5fb7de4542bde87cd4f6d1426fb144 SHA512 a4e7d38d4f91b613e79e45dba86fd072dde76353ad1c87f6b2765393313e7861cfb67e6b34783df5fcc46ec016b099492147f226eaf8c18ea001b9ac496338d2
+EBUILD hatchling-1.20.0.ebuild 2610 BLAKE2B 2d408d0e66e3df61adf66a32e505137b22a73741f964c95214a37bd44b658f54289ec51db2c11de3aa521e816068f4e1ab5fb7de4542bde87cd4f6d1426fb144 SHA512 a4e7d38d4f91b613e79e45dba86fd072dde76353ad1c87f6b2765393313e7861cfb67e6b34783df5fcc46ec016b099492147f226eaf8c18ea001b9ac496338d2
MISC metadata.xml 365 BLAKE2B 5a40a6cf6df042e6e8387830babd0171c9d8bc5d490fe2175b83d1588d827e826b49044ef29de48553515996b742fc475bb9699dcfa8ec05229162b22e0ed317 SHA512 f11bb25bc12c2bb0b0a0a4691115b9a2af525d9e44b33e0d6db98c7fcef0b49b5989fb7574ee8b27bc88f1dd2543bfdd492a6614de172e2c4edabbee8bf6161e
diff --git a/dev-python/hatchling/hatchling-1.20.0.ebuild b/dev-python/hatchling/hatchling-1.20.0.ebuild
new file mode 100644
index 000000000000..f041834d0884
--- /dev/null
+++ b/dev-python/hatchling/hatchling-1.20.0.ebuild
@@ -0,0 +1,86 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=standalone
+PYTHON_TESTED=( pypy3 python3_{10..12} )
+PYTHON_COMPAT=( "${PYTHON_TESTED[@]}" )
+
+inherit distutils-r1
+
+TAG=${P/-/-v}
+MY_P=hatch-${TAG}
+DESCRIPTION="Modern, extensible Python build backend"
+HOMEPAGE="
+ https://pypi.org/project/hatchling/
+ https://github.com/pypa/hatch/
+"
+SRC_URI="
+ https://github.com/pypa/hatch/archive/${TAG}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}/backend
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+
+# deps are listed in backend/src/hatchling/ouroboros.py
+RDEPEND="
+ >=dev-python/editables-0.3[${PYTHON_USEDEP}]
+ >=dev-python/packaging-21.3[${PYTHON_USEDEP}]
+ >=dev-python/pathspec-0.10.1[${PYTHON_USEDEP}]
+ >=dev-python/pluggy-1.0.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/tomli-1.2.2[${PYTHON_USEDEP}]
+ ' 3.10)
+ dev-python/trove-classifiers[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ $(python_gen_cond_dep '
+ dev-python/atomicwrites[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ dev-python/httpx[${PYTHON_USEDEP}]
+ dev-python/platformdirs[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/rich[${PYTHON_USEDEP}]
+ dev-python/tomli-w[${PYTHON_USEDEP}]
+ dev-python/virtualenv[${PYTHON_USEDEP}]
+ ' "${PYTHON_TESTED[@]}")
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ if ! has "${EPYTHON}" "${PYTHON_TESTED[@]/_/.}"; then
+ einfo "Skipping tests on ${EPYTHON}"
+ return
+ fi
+
+ local -x EPYTEST_DESELECT=(
+ # these run pip to install stuff
+ tests/backend/dep/test_core.py::test_dependency_found
+ tests/backend/dep/test_core.py::test_extra_met
+ tests/backend/dep/test_core.py::test_extra_no_dependencies
+ tests/backend/dep/test_core.py::test_extra_unmet
+ tests/backend/dep/test_core.py::test_unknown_extra
+ tests/backend/dep/test_core.py::test_version_unmet
+ # broken if CARGO is set
+ tests/backend/builders/test_app.py::TestBuildBootstrap::test_no_cargo
+ )
+
+ # top-level "tests" directory contains tests both for hatch
+ # and hatchling
+ cd "${WORKDIR}/${MY_P}" || die
+ local -x PYTHONPATH="src:${PYTHONPATH}"
+ # sigh; standalone test suites are overrated, right?
+ echo "__version__ = '${PV}'" > src/hatch/_version.py || die
+ # tests mock cargo subprocess call but the backend raises if CARGO
+ # is not set and shutil.which() can't find it
+ local -x CARGO=cargo
+ epytest tests/backend
+}
diff --git a/dev-python/isort/Manifest b/dev-python/isort/Manifest
index 3bf7768fa450..212d73108296 100644
--- a/dev-python/isort/Manifest
+++ b/dev-python/isort/Manifest
@@ -3,7 +3,9 @@ AUX isort-5.13.0-poetry.patch 485 BLAKE2B 8ac8d53e2fdf6db49cfac8f6949fec21d92e73
DIST isort-5.12.0.gh.tar.gz 743141 BLAKE2B a7f8deef02b57162eebe15b35e71382c654372a80dedba7eee63d0c9b0899c053fb517401585af17014db3cf9ed44089f6cbd1e2b0ed17393cc667de06bfbddd SHA512 ceb861d1a077be6fecd82fde775bded1fb676c77135e2004c92a6221762e0b3ff6c1071d17957e1add4062ec26ba6c9264e4905724f2c659339cbd0601f4b45e
DIST isort-5.13.0.gh.tar.gz 753826 BLAKE2B 074e8b762b304618a2291d96dc9e18061e5303f3e6772479e8eda42c687cf289c12c73ce585c869df754b244bf14d59c6d2eba10877756287d88f27a3d470939 SHA512 3c5a170b1526ec58f1c774e4b55e2227df0af23eebd7a387d61cd3eaa0a698b5ad22a0be81a87d4e6a026030ffbdaea0f23331a43e28b5df98bf33b7afe2a42d
DIST isort-5.13.1.gh.tar.gz 754890 BLAKE2B 53168670d38efa9fba549a32235c47781e200e7ee36289514acc19b127fa5a99d9d97305fbeff1afa9dd6f8f57385f0b01ce57b4bd0ee64e255bcfe144fadbbf SHA512 23a5f7579e327f109575454e5443ee039c207aa0b6f6ad35509cf514b45a7a3fcae116fd8ee40c96d717694cfd85bd7f431481b1a456b7390f914abec2460f42
+DIST isort-5.13.2.gh.tar.gz 755256 BLAKE2B 4cc8a0209ba954d93c030e6ad038933b50aa2f17b173762f598bc8038f36f72ecd1e7a3f6e73398bbfc99f464d14927f77044ca68126815023a8d456497985a1 SHA512 fe2bd27f0aa6219d44c3124782d400338a801a911d6a09ad51e7f80cbcbce250838350ad6cc80a35f641e0a319778ddcfb4dc61c8c76999ebc63a5147953e378
EBUILD isort-5.12.0.ebuild 1691 BLAKE2B 9899ef315fca3c2d591f6b99ce9d84230690631f873216bea8fa5d36b51d2fbb7f813cffc7efe1d7bbefb947b14a6ae1049cc3914e7da8a6cd2f22582283ae91 SHA512 dae89599e7f4ca3e3056411f0435ae5fe84c90dd7f0c9f8554032bc8d98567972c82be70f1abc180e4a1342d776330423606af83b3e04c42b89403739a325c44
EBUILD isort-5.13.0-r2.ebuild 1829 BLAKE2B 886b08fce805ff6474289680a6fb44483c67c534c17dd70e213dcf9acb886e2812bbe9360e7538a29dc32626affe5c3dc7a7cc3512b2846f12d24ebf4a1f19da SHA512 52c1522afe8d1b838ca0c3320b4638f3164568e854bdf16f71a099ea4f00ced7135105ea56986cada6a6f540d226ad6d480b07c023a1f93e6b51b098295146c4
EBUILD isort-5.13.1.ebuild 1643 BLAKE2B 3364bd78e222177acead6d78d7bcbafc6cbe00bba3570de8b2ea6d3e706799d1443ba2c2cd90e8ad2496d013872097596ced7d78898f9e36cf5774e47052f2de SHA512 015b7872e058774f5db4338be732f9f712a4fe6a1dd9610fb3cc348d8bb8ed3911b0fb2a2695bc81b31d9fc2f1c283897520118973373a3df1b9f9baebe73561
+EBUILD isort-5.13.2.ebuild 1643 BLAKE2B 3364bd78e222177acead6d78d7bcbafc6cbe00bba3570de8b2ea6d3e706799d1443ba2c2cd90e8ad2496d013872097596ced7d78898f9e36cf5774e47052f2de SHA512 015b7872e058774f5db4338be732f9f712a4fe6a1dd9610fb3cc348d8bb8ed3911b0fb2a2695bc81b31d9fc2f1c283897520118973373a3df1b9f9baebe73561
MISC metadata.xml 574 BLAKE2B db8aac55351f15190d9b71508268f26b12a781b3b4f0f6836a30efc954b46b71da496129a9641655db483730435b44a5c5283132521dc3cc93279c57735a1ba4 SHA512 c8116bf66155ffeb7ac8d68822559e18252210dae604b4984aa5e6a3fb7161d785cbd235dc6f656513b5bab326f6e579489245bcef9d0a5dfadc34d7477758fb
diff --git a/dev-python/isort/isort-5.13.2.ebuild b/dev-python/isort/isort-5.13.2.ebuild
new file mode 100644
index 000000000000..2f75471007a0
--- /dev/null
+++ b/dev-python/isort/isort-5.13.2.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A python utility/library to sort imports"
+HOMEPAGE="
+ https://github.com/PyCQA/isort/
+ https://pypi.org/project/isort/
+"
+SRC_URI="
+ https://github.com/PyCQA/isort/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/tomli[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+BDEPEND="
+ test? (
+ dev-python/black[${PYTHON_USEDEP}]
+ >=dev-python/colorama-0.4.6[${PYTHON_USEDEP}]
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ dev-python/natsort[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-vcs/git
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unbundle tomli
+ sed -i -e 's:from ._vendored ::' isort/settings.py || die
+ rm -r isort/_vendored || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ cp -a "${BUILD_DIR}"/{install,test} || die
+ local -x PATH=${BUILD_DIR}/test/usr/bin:${PATH}
+
+ # Install necessary plugins
+ local p
+ for p in example*/; do
+ pushd "${p}" >/dev/null || die
+ distutils_pep517_install "${BUILD_DIR}"/test
+ popd >/dev/null || die
+ done
+
+ local EPYTEST_IGNORE=(
+ # Excluded from upstream's test script
+ tests/unit/test_deprecated_finders.py
+ )
+
+ if ! has_version "dev-python/pylama[${PYTHON_USEDEP}]"; then
+ EPYTEST_IGNORE+=(
+ tests/unit/test_importable.py
+ tests/unit/test_pylama_isort.py
+ )
+ fi
+
+ epytest tests/unit
+}
diff --git a/dev-python/mysqlclient/Manifest b/dev-python/mysqlclient/Manifest
index 18abe9620f20..1b23f7562a4e 100644
--- a/dev-python/mysqlclient/Manifest
+++ b/dev-python/mysqlclient/Manifest
@@ -1,3 +1,5 @@
DIST mysqlclient-2.2.0.tar.gz 89543 BLAKE2B 1e75d37825b81300103d980174d12986d7d02fa2f958ebbdb3d8a2ecea498a8afd9f43c2e3d46a88109364bc0ba172f91c7d5853ed4bd173ef34bc451d31c7b3 SHA512 c392bfc173c2a2e20821b862c3f23621bcd0c20884f58623c345921aaa4f0557b3f75e75e5577a0df150adf119ec008af5ad1fcbfe11248d73918c0a211e8df9
+DIST mysqlclient-2.2.1.tar.gz 89966 BLAKE2B b5098ea4afe8ba720c40eda2f0f5da043622bed51a123e225530d505edfef2f02efba477238d73f343a6cc4969bf021156e15528f05a12d905ea6231e47d65bd SHA512 3ff3823cef4662268387e5c13d006595219c5a3371201eb251d84db5eec028b32fd7b672dbdac9f4dffa906fddcfc9a5ee130e3b03e4dc0cfb060411ad75eea8
EBUILD mysqlclient-2.2.0.ebuild 1886 BLAKE2B b1d3683885ef942afe95e41f74e3976b606225252268864c2f7074f9bfbf78d0723ad345b02cefdd5511e77d857c62b183e54e393fe002c4168b9a01bd199413 SHA512 adfbded1b4462e38032b968ef3bd82079a01245f00b6998bd84d7edc3905831beb9a5e7fd65c1fcac836bdcd822ba9f17002462c614d61add7ac794669536276
+EBUILD mysqlclient-2.2.1.ebuild 1886 BLAKE2B f6e125e449c979a1e2aa2061846422103cbf49747a6e3cfac86b289303e6c5bb9decd4446860feb343c777b2c1b52e481efb9926581cf4691b51834aec666092 SHA512 0192fce9e7615e286ac065236128d72a8eb069fbbdeeaa58fbc7bfb8040caf0c116c5228260744bd2a02dbebfad48ddce6e9b0fabf2cae803c814b4c6e049afc
MISC metadata.xml 507 BLAKE2B 3c274117dde5aed93bb78488b1c106ea9b18243725d88867e6b568a09229d97bc35a1116d8a529c5c72cabcb9feb33de8157448cf3d339dbf1861d8a9ff2c1d6 SHA512 4304ae4addf93365b2acfd493a27a0144bfe0dd2d559a3fce73f52d0d1683c84b1597c9d11f36b332b6428523fd8082297ab39ce000d961ccdf39d92833828ac
diff --git a/dev-python/mysqlclient/mysqlclient-2.2.1.ebuild b/dev-python/mysqlclient/mysqlclient-2.2.1.ebuild
new file mode 100644
index 000000000000..a2d3e272c1f8
--- /dev/null
+++ b/dev-python/mysqlclient/mysqlclient-2.2.1.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python interface to MySQL"
+HOMEPAGE="
+ https://pypi.org/project/mysqlclient/
+ https://github.com/PyMySQL/mysqlclient/
+"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+DEPEND="
+ dev-db/mysql-connector-c:0=
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ test? (
+ dev-db/mariadb[server]
+ )
+"
+
+distutils_enable_sphinx doc
+distutils_enable_tests pytest
+
+src_test() {
+ rm -r src || die
+
+ local datadir="${T}/mysql" \
+ install_log="${T}/mysqld_install.log" \
+ pidfile="${T}/mysqld.pid" \
+ socket="${T}/mysqld.sock" \
+ log="${T}/mysqld.log"
+ einfo "Creating test MySQL instance ..."
+ if ! mysql_install_db \
+ --no-defaults \
+ --auth-root-authentication-method=normal \
+ --basedir="${EPREFIX}/usr" \
+ --datadir="${datadir}" >& "${install_log}"
+ then
+ cat "${install_log}"
+ die "Failed to create database"
+ fi
+
+ einfo "Starting test MySQL instance ..."
+ mysqld \
+ --no-defaults \
+ --character-set-server=utf8 \
+ --pid-file="${pidfile}" \
+ --socket="${socket}" \
+ --skip-networking \
+ --datadir="${datadir}" >& "${log}" &
+
+ local i timeout=10
+ einfo "Waiting for MySQL to start for up to ${timeout} seconds ..."
+ for i in seq 1 ${timeout}; do
+ [[ -S "${socket}" ]] && break
+ sleep 1
+ done
+ if [[ ! -S "${socket}" ]]; then
+ cat "${log}"
+ die "MySQL failed to start in ${timeout} seconds"
+ fi
+
+ cat > "${T}/mysql.cnf" <<- EOF
+ [MySQLdb-tests]
+ socket = ${socket}
+ user = root
+ database = test
+ EOF
+
+ distutils-r1_src_test
+
+ einfo "Stopping test MySQL instance ..."
+ pkill -F "${pidfile}" &>/dev/null
+}
+
+python_test() {
+ local -x TESTDB="${T}/mysql.cnf"
+ epytest
+}
diff --git a/dev-python/pdm/Manifest b/dev-python/pdm/Manifest
index 4eb537e00837..d5156346aa17 100644
--- a/dev-python/pdm/Manifest
+++ b/dev-python/pdm/Manifest
@@ -1,3 +1,5 @@
DIST pdm-2.10.4.tar.gz 2589461 BLAKE2B 83366412f8b222067b33386a1a8fb0759945d22814da96b4c20e3a9bc459d6ad37f51e87720032249090c13e333becc33f4da482338c494af5fa49a578d4c308 SHA512 7e165f497a1cf1993554277ccf347410893f7635748d8d5a43dba1bc6156ea7655045c6ac865b96ff2e44d736b963fde5921a4710628201dd88c20d4fa7014f2
+DIST pdm-2.11.1.tar.gz 2595425 BLAKE2B cebaf5a86045a9826a8d6a77985a064fe3e05af403818a4629f7a978a58a4fd07e4d12ba4a69542cd4cf2a090d28a826ebadf0d703543b0551f49b61039d6d38 SHA512 e62bd64b1b302bffe0f7f18a68244b108a10969108ce98df028bd56662b336db8bf019fb1d516cc1dc579b838c674ef8601b8f7056e8547a89c5d3311cd037d9
EBUILD pdm-2.10.4.ebuild 2674 BLAKE2B 2c25fce2a3fb4e18746733b440240652070aef0a2accdcdad9f5ce33e0f903eb21ed00ec79df46f362c3ce70a468b3eb2dbb9ccca294fc70a12b416bce8c4342 SHA512 d4ba60e50de7d5489c8e907f47b3c117e425fd676a9a9bc7e307402de55b2e9e9b21f6a32febe802a42dcbb2b2fca619a1f1e99f473df5636c7a6b2fc124d984
+EBUILD pdm-2.11.1.ebuild 2705 BLAKE2B 7dca749a7ac41717a2ad410130476ad2c4886c30f08f53148eef61e737317e19286c83eed53fa906a8a86a4e127aaf18cefea4a191d4be97d7057df27e6fbb37 SHA512 03e8728efe33e003ef16ba3c7c6c3922c324d7b66ac66b2bdda76b13e79585812437d77f91c23055953d4edb534f205e6eabc45651eb228ed83607388cb3bcd6
MISC metadata.xml 474 BLAKE2B c1471e124a955920e30f73dfa43a87999c30c2bb9615590f601befcc07f7d939ec68908e67c7345fca4cb0f0524d33507aeac9936fa30d449d1dde17094048d3 SHA512 a07256061dda5a8cf8b0e15205ac36651a4e5b594fdedbfe16d1d3264e1ac42847d1dc222d2857232ac5206d67feda432751695d85d0c4c7b03fd7228db8b1ab
diff --git a/dev-python/pdm/pdm-2.11.1.ebuild b/dev-python/pdm/pdm-2.11.1.ebuild
new file mode 100644
index 000000000000..4f167ecbb5fb
--- /dev/null
+++ b/dev-python/pdm/pdm-2.11.1.ebuild
@@ -0,0 +1,82 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=pdm-backend
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python package and dependency manager supporting the latest PEP standards"
+HOMEPAGE="
+ https://pdm-project.org/
+ https://github.com/pdm-project/pdm/
+ https://pypi.org/project/pdm/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-python/blinker[${PYTHON_USEDEP}]
+ dev-python/certifi[${PYTHON_USEDEP}]
+ <dev-python/dep-logic-1.0[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/platformdirs[${PYTHON_USEDEP}]
+ dev-python/rich[${PYTHON_USEDEP}]
+ dev-python/truststore[${PYTHON_USEDEP}]
+ dev-python/virtualenv[${PYTHON_USEDEP}]
+ dev-python/pyproject-hooks[${PYTHON_USEDEP}]
+ dev-python/requests-toolbelt[${PYTHON_USEDEP}]
+ >=dev-python/unearth-0.12.1[${PYTHON_USEDEP}]
+ <dev-python/findpython-1[${PYTHON_USEDEP}]
+ >=dev-python/findpython-0.4.0[${PYTHON_USEDEP}]
+ dev-python/tomlkit[${PYTHON_USEDEP}]
+ dev-python/shellingham[${PYTHON_USEDEP}]
+ dev-python/python-dotenv[${PYTHON_USEDEP}]
+ >=dev-python/resolvelib-1.0.1[${PYTHON_USEDEP}]
+ dev-python/installer[${PYTHON_USEDEP}]
+ dev-python/cachecontrol[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/tomli[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/pytest-httpserver[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # Internet
+ 'tests/cli/test_build.py::test_build_with_no_isolation[False]'
+ tests/test_project.py::test_access_index_with_auth
+ tests/cli/test_others.py::test_build_distributions
+ 'tests/models/test_candidates.py::test_expand_project_root_in_url[demo @ file:///${PROJECT_ROOT}/tests/fixtures/artifacts/demo-0.0.1.tar.gz]'
+ 'tests/models/test_candidates.py::test_expand_project_root_in_url[-e file:///${PROJECT_ROOT}/tests/fixtures/projects/demo-#-with-hash#egg=demo]'
+ # hangs on interactive keyring prompts
+ tests/cli/test_config.py::test_repository_overwrite_default
+ tests/cli/test_config.py::test_hide_password_in_output_repository
+ tests/cli/test_config.py::test_hide_password_in_output_pypi
+ # junk output, sigh
+ tests/cli/test_others.py::test_info_command_json
+ # why does it try to use python 2.7?!
+ tests/cli/test_run.py::test_import_another_sitecustomize
+ )
+ [[ ${EPYTHON} != python3.10 ]] && EPYTEST_DESELECT+=(
+ # test seems hardcoded to 3.10
+ tests/test_project.py::test_project_packages_path
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -m "not network and not integration and not path" \
+ -p pytest_mock
+}
diff --git a/dev-python/prompt-toolkit/Manifest b/dev-python/prompt-toolkit/Manifest
index ff9967e2d7a4..8a99dc341629 100644
--- a/dev-python/prompt-toolkit/Manifest
+++ b/dev-python/prompt-toolkit/Manifest
@@ -1,3 +1,5 @@
DIST prompt_toolkit-3.0.41.tar.gz 424620 BLAKE2B 03224acf95a5937996bfdb9692b719752fab693923e5dab7f3aa1c960a9bcf2bc135c0deee25982a16937d5c12f55be9d3b70c4d0d400ba9f6ccb0070a66bf7a SHA512 ac8782b06275df01b32ccfaf6055b3b1bf4ff4aecfa76599b143025d79a7459f2722c659363d288361953105ef617337de1c5a71b693f7c28716d0c3df0e2c75
+DIST prompt_toolkit-3.0.43.tar.gz 425733 BLAKE2B 663b3f675e004de9f2d6dce09320bc0bbd6a47f5a581d5b49bb5fe36f0d3eee2022522eac09dccc5bceaf6227e17abe475f133c53b912b3b84f940877aaa6b9a SHA512 833666da9bc7259eec2ee357cb936001880ac1f88c33a1e346ef5e4b8c3fcd37ff7d7102e590d509b0b0ac1e046fcd9d2a7046857c9e95dc3890f1b70c62544c
EBUILD prompt-toolkit-3.0.41.ebuild 622 BLAKE2B ef9194312fb2de9eb6a2879633602c4cd6b7b4e0f6ce4f69e1dcba2b1c2849b0e710a6e5056c60783a6b1b11eba987b2147c4a00d975521337f7b1fb8b026072 SHA512 77c2b8166ca415d5f3f0eb84d1a0be820d37aa61c94cee914ff116ca15fde21394af2a2a88b4706f75a285de8fa5c131b3538599ce04cd4b4a938cd92830f0ee
+EBUILD prompt-toolkit-3.0.43.ebuild 630 BLAKE2B ba5290905ff7bad822016b9fbc6be45b078acdd41000b97eb45ad8d989ae76c42ce29f95ae802747e39dd0635dceeea8ea2634b0fc29f3cc4278ffe218f2b0ec SHA512 193ac6e99db79fb48766f3bd287252ecb8d88a9ef915665890ddb5713d78e96002d8326b92936dc88973712eb71517aa16424966d8ade5e990d8d308e3f74db6
MISC metadata.xml 431 BLAKE2B 534336484c65b57df5e672729ff722b67445948e0485c3a62c2f7081724cb951b5157c600dc6162a3bb857c2be0f378b18670786279ff8b5cff2858588f8ebc9 SHA512 a9bf68326839069c61e70d4ef3fe304706f2543b9b91eb291566dd66f36d1abec00382ae205549a35f10dfc730f4613c5cc5c0ee4d6858538d50c4145bd3b15e
diff --git a/dev-python/prompt-toolkit/prompt-toolkit-3.0.43.ebuild b/dev-python/prompt-toolkit/prompt-toolkit-3.0.43.ebuild
new file mode 100644
index 000000000000..555f846afe27
--- /dev/null
+++ b/dev-python/prompt-toolkit/prompt-toolkit-3.0.43.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Building powerful interactive command lines in Python"
+HOMEPAGE="
+ https://pypi.org/project/prompt-toolkit/
+ https://github.com/prompt-toolkit/python-prompt-toolkit/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
+
+RDEPEND="
+ dev-python/wcwidth[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/psycopg/Manifest b/dev-python/psycopg/Manifest
index 988e0d1e8f72..a33b4369d2d3 100644
--- a/dev-python/psycopg/Manifest
+++ b/dev-python/psycopg/Manifest
@@ -2,6 +2,7 @@ DIST psycopg-3.1.10.gh.tar.gz 490875 BLAKE2B 26b82aa34f0eecc3e15943390b74d82e838
DIST psycopg-3.1.12.gh.tar.gz 496491 BLAKE2B df70ae76cb740cbeb313925fafd23650a5d9cb584cb79409eb55ab73260c698758c78878bfa0fbe6c6f1b6f8e55fb91290403246360776176be1fdb758d7361d SHA512 52489337ee4bfc4fe3070a731661264238646f50c86ecf9b4c902da1ab050b2ba6a8f8d1322b0f57f368d3c93f7ec3dd59f7970319e2df8eb52c728a5d7fecc1
DIST psycopg-3.1.13.gh.tar.gz 500475 BLAKE2B c00176335808ba0fb15dc23fd93e394926517cb2c7e072a35ba909b0b1b128bdecf8305ae1d4e494a5b1f04fee28e98b862ef9f10bd152de6eb9a8e73cf8b5dc SHA512 489ea9f562be6aaaa81b8c96e47b65a1ec0f2f59587f7dc931744d9f6faede1b068fd6e464f530096cac276e1f73e99f069aaab5bd2c3955aa2e0511699659f3
DIST psycopg-3.1.14.gh.tar.gz 502307 BLAKE2B 848d1174beb6ec78eaf300f19465c0e2c90829e51e38a8a526271e082a37add32d4e5781f84536fc3c4db6d1c29af5da70bf0374f1b011c10fa65f1c86487b25 SHA512 af96bc4a79944872049bfb0b1d45ad2ec55e8bfbbf729bdbe76eeeaaffc925c448ca5571214d6865129fd17feeb447e896e46e3d4a1e0b9649802761ae28efb4
+DIST psycopg-3.1.15.gh.tar.gz 502669 BLAKE2B 21fa50d7b314d2e71e5938346145ce8cf2582e8e756e96b64c08f3f48c07d0bef765d3e96edb9e39b479a94488de878185d2303f8cd5767cdb00372ebd3ae479 SHA512 655812616d7ff2d5338f719016db1500496f8e4eeb4559ab10b109e7c1331e5d0a814205217845caed16dc19e68f58ac5e3a4d6d2138b5db6bf079c396644c5d
DIST psycopg2-2.9.4.tar.gz 384017 BLAKE2B 4bc0afcc890c8a257c1ccd5c6e4e5301857a80f8b1428aa46c1473c9e18f5d2914a2e592c13336b06106217bb334d9b0321835bdd123f1627cbeb29dedf97bf7 SHA512 259088e42e0ab0d8a1a0ccf04f5e560f32c6179b4a0a0059e91bcf269baa8f4b0f1f949c332c640a2438c927a29b2c144078a861f8e18ba9c764da7c93c73b8d
DIST psycopg2-2.9.9.tar.gz 384926 BLAKE2B 8418fca1329703cedfc86be74d85cae5133a0604bb8a21fa43e5359a46626d38ef227d0cd8fbbeb497e2db517a469d7f3e86b74ef9163617a547e999073a6b4c SHA512 a691fd09762221e854861dedce37b05e5354e0701feea470a6d5046960056ef02a8c9ecfa751adeba485271ea7d5834643b7d3a3c3f3270087f5ed9c68509f5f
EBUILD psycopg-2.9.4.ebuild 1248 BLAKE2B 05090945297120771b3983ead32e88a6c178e631441a7fa3a3dea02c528650db938f39e0e8beed6bb46502e5c708efa32fa167285b7eacd214f587de5f8a53b4 SHA512 1e11a0c254f38c7e355d29a824b85546850b39dee02ef39a1275c2e461b3683793ed8c7dcae74cc4b8b70b9885203895e4b701ee39880f7de0fdb666d3826fec
@@ -10,4 +11,5 @@ EBUILD psycopg-3.1.10.ebuild 1756 BLAKE2B c6c8e67318b15caf806c897cb04f0aabcfc055
EBUILD psycopg-3.1.12.ebuild 1798 BLAKE2B 3cbcc7e7236e8fa1e275831ef327a542c91d1aab300d48fc9ea860ffc5e1d6bb221e27b58580225a39867763a6a760208bb033a057c8be60d87b328df43bbb93 SHA512 810ae033fb3772b02702755604ec3a9dcab845e8e1caf861c84319784263c65e47bc764ff3df9c7802b2911b77389a4214f6018a91599c64721252d0594017ca
EBUILD psycopg-3.1.13.ebuild 1785 BLAKE2B 81795f832393aaeae29d87f58101ed54b7c387b973d13d27e672ae5b651bb079a7caa7b795dbda47b2203171da650309d5baa8691ea0a7c0424225c7f8cff4a9 SHA512 780a01875c4fe1c8b1c0426116e19abd9589dbf853306f9352129cdb45f85a4655b8d308dd0f878edc6a283dbbb0331972f23d144cf799636a4d89163c75caca
EBUILD psycopg-3.1.14.ebuild 1791 BLAKE2B 474da88f2bd6170d8c19b23158fe80f04b6f81b15892ff726756b2f160f4f930654c13851bb709eaa906ee994101c13021485cdd80b71f4355715c75a89a270e SHA512 619a3adecbdd58036eedca0e6def317b63c61812e28d5c304f237feffa7e1948789ed9dedffbbafa55fadd5431f94d7c7af1fe1c02c260bca9ff33a59af27e8a
+EBUILD psycopg-3.1.15.ebuild 1788 BLAKE2B 15a0e0210ac2a88c2503c0e8932c55a34fa15061456a2da44f0184d5bbded228f15d0fc79c922d3e7af7a9ceac0eb6e925aea89a28aa4b58ae1dfa8d088ff05e SHA512 0da47ccca881111ed58d729c040d9da29d8ea366ef3acb5098008a31fede230ec0077f12100dab43e56d40e9d6715bfb6e6756282ffdb9bb78f191d28ad587ad
MISC metadata.xml 426 BLAKE2B a573dbbef89ba2c3c7e7aa11e87005879fa823daa8d7e2080ce82dab7196429769b5e2ed0c4ffb363443469dfa47524d900fae75c4d7c8c9da901389e746838f SHA512 e3059428d8c00113696bfd232b2ad3fd4efccc304a31ff45801f30bb07c03acd58aafcab187fd85e4d89eff4db6c18a1395744eb1fd5cf8f11e43aca0f4e60cc
diff --git a/dev-python/psycopg/psycopg-3.1.15.ebuild b/dev-python/psycopg/psycopg-3.1.15.ebuild
new file mode 100644
index 000000000000..6056815ed613
--- /dev/null
+++ b/dev-python/psycopg/psycopg-3.1.15.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="PostgreSQL database adapter for Python"
+HOMEPAGE="
+ https://www.psycopg.org/psycopg3/
+ https://github.com/psycopg/psycopg/
+ https://pypi.org/project/psycopg/
+"
+SRC_URI="
+ https://github.com/psycopg/psycopg/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S=${WORKDIR}/${P}/psycopg
+
+LICENSE="LGPL-3+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+
+DEPEND="
+ >=dev-db/postgresql-8.1:*
+"
+RDEPEND="
+ ${DEPEND}
+ >=dev-python/typing-extensions-4.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-db/postgresql-8.1[server]
+ dev-python/anyio[${PYTHON_USEDEP}]
+ dev-python/dnspython[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_test() {
+ # tests are lurking in top-level directory
+ cd .. || die
+
+ initdb -D "${T}"/pgsql || die
+ # TODO: random port
+ pg_ctl -w -D "${T}"/pgsql start \
+ -o "-h '' -k '${T}'" || die
+ createdb -h "${T}" test || die
+
+ local -x PSYCOPG_TEST_DSN="host=${T} dbname=test"
+ distutils-r1_src_test
+
+ pg_ctl -w -D "${T}"/pgsql stop || die
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # tests for the psycopg_pool package
+ tests/pool
+ # some broken mypy magic
+ tests/test_module.py::test_version
+ tests/test_module.py::test_version_c
+ tests/test_typing.py
+ tests/crdb/test_typing.py
+ # TODO, relying on undefined ordering in Python?
+ tests/test_dns_srv.py::test_srv
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ # leak and timing tests are fragile whereas slow tests are slow
+ epytest -p anyio -k "not leak" -m "not timing and not slow"
+}
diff --git a/dev-python/pythonfinder/Manifest b/dev-python/pythonfinder/Manifest
index bb1c734daff9..6d583fb0caa1 100644
--- a/dev-python/pythonfinder/Manifest
+++ b/dev-python/pythonfinder/Manifest
@@ -3,5 +3,5 @@ AUX pythonfinder-2.0.6-pydantic-2.patch 1574 BLAKE2B 4c19ca86aca9967ec0a0f96c5c7
DIST pythonfinder-2.0.5.tar.gz 718776 BLAKE2B 32a49dbff143042554d5328b61b612e3bde7a870d53a229303b6bdd2c2ce76457bf6aadcdb215efa332407003c1319215292f3278a2808b669b5b7819af08902 SHA512 4d205c66d7ae36f4f2b8ddab9cce00f4efd5548a41d251470a515b88f8be2dcede75372b9301223822031ae663c6ccf77156531b0dd5d8972424f90641255c5b
DIST pythonfinder-2.0.6.tar.gz 718821 BLAKE2B bc45c8ebffd4b8a21084c3b5f4d9cba71383613e6b25ec01ba53b0abf5d01cf78d1636b19c6c32f80eec401c56c25eedded793fabc46e2bbd389074a45ae14f5 SHA512 2aad884101d1a9fc1340fb63b11811aa7bd1c1f6d2945f9d133bb473099c7e11da21a4348ca742cae03a23fc8b12b85dcae4e9b3a2d29ec98530b6d8d2567d1c
EBUILD pythonfinder-2.0.5.ebuild 579 BLAKE2B 702f71d33e0f2a6d72cf3b2ba4c1ef78891d6d6b608a161705cc0aa982a14878f01832c4812deedd6b47019769d113e7045d8cdfa5354f934ea46e6120baacd4 SHA512 8b4aca37627ab11f394815ee7eaec785f78c8edec8c2c73f520c214d3e1b0e3990f915302b6296eda899323bf23af4ac7b2fbe586680797aed65afa23ba5defd
-EBUILD pythonfinder-2.0.6.ebuild 799 BLAKE2B 337ec0b701e777e5be382758e53e22de0e53af7badf1dc4d974a5fddbd824a41b6219372f51d06018ec7cb85a5d3f3b9c4c633630218ca7dcdb1701885559cc8 SHA512 363cb5cf6aa603968a29524ab242172ac3c1c79ba981bf54bd3fdfe8dc34c65e855de129596628bc2c2ceb40d29b2e22377972c58edee0ed8407942506e5a532
+EBUILD pythonfinder-2.0.6.ebuild 860 BLAKE2B 262750481d96563486ffe7694594c862f36cccadd2aa1770f032db33d43071f767365af127fbddbbf523aff40a8b8508ed8f21f2546b02ab09b3fc92e7a005d9 SHA512 8f6af7b8fd740101dfd69becbeaa5d27e31498c4fc7ede6fc711b8b93f2c99e10c494d3dfe30496403d2ac12dbfefafd420af6d71e4ac5ebfac6fec16def14c8
MISC metadata.xml 550 BLAKE2B d48667a74c94f5234a1b3ddff6521574aaa8b7cc441b1e206b35c67a7ef331a946de527d4f8edd20d45bda50a7f3067508ac8a60f052f44073d773f14584c01b SHA512 e2f86c14d0dd02fc51f10f078546c800201b43a8d3904dc763f5a35773e0ded146618885ccb9754d1404bea959098b6e4ea02a37fb96d9ebe7f705e26f36df37
diff --git a/dev-python/pythonfinder/pythonfinder-2.0.6.ebuild b/dev-python/pythonfinder/pythonfinder-2.0.6.ebuild
index 3218968b9d7a..a7d99c9760e4 100644
--- a/dev-python/pythonfinder/pythonfinder-2.0.6.ebuild
+++ b/dev-python/pythonfinder/pythonfinder-2.0.6.ebuild
@@ -21,6 +21,11 @@ KEYWORDS="~amd64 ~arm64 ~riscv"
RDEPEND="
>=dev-python/pydantic-2[${PYTHON_USEDEP}]
"
+BDEPEND="
+ test? (
+ dev-python/click[${PYTHON_USEDEP}]
+ )
+"
distutils_enable_tests pytest
diff --git a/dev-python/readthedocs-sphinx-ext/Manifest b/dev-python/readthedocs-sphinx-ext/Manifest
index e18b0faad002..4296c8a68537 100644
--- a/dev-python/readthedocs-sphinx-ext/Manifest
+++ b/dev-python/readthedocs-sphinx-ext/Manifest
@@ -1,3 +1,5 @@
DIST readthedocs-sphinx-ext-2.2.3.tar.gz 12176 BLAKE2B 9467e3d08baa15fe64ce0a718e922e4f8dc6c0bd76fd8a53f4bae66114bbd043bbcca71a2b7b152a162d7ca89b102668ccdc9ab9b0904e0caf2e0ff953fc489c SHA512 f8c9b2b62c73307906fc61a2dacc0c9079c1b81920718fbd2c60a45e22da7e581b9fa60aca83003081753603cb904187cae6075922a62616554c8fcc4c1d7991
+DIST readthedocs-sphinx-ext-2.2.4.tar.gz 12474 BLAKE2B 1911f2a161d38c89b96d194bc5eaa1d015f2a9ef1350e9f01d50a2f575f8486618ae79f12b3b6a15a61ffe85a0c6d9f1f1560fa663ba1faa6aeda916a6cc9f05 SHA512 010116cb842cbf0a389d7e94196bf6122422584a843ff549d96384a8424f12458aec6493e412e28c9158082ca624fa2ff8d8cbbfc7d7c3e7e61aa69bef40c4b2
EBUILD readthedocs-sphinx-ext-2.2.3.ebuild 798 BLAKE2B e63515c00c2ee8920d732571c92353bc550bde7fcd97fcd5c0c5841b94343413d028048eb4c5e7cbf5de28ae6c1d896fed7735a643d00f2761c507aa3b05c5ca SHA512 aef8bf55e83ea93e73f1b93cccda9beba0c433190171a6376ac5bc84ed4c4e261f2687e9c8193f057dc827790d891da9c128cc39091009b3fe3ddb82a0eb7ddb
+EBUILD readthedocs-sphinx-ext-2.2.4.ebuild 806 BLAKE2B 7f4383ae68f896e9775b0f50ea91c42fc193ac7fc404854598d218ab6b090aa699f6d07b46577efd93ef7802e6d555ce51d77235519ff2dc9737cca0a166d44e SHA512 843a28adc1be402521d10afd9f0cdefefb36e1f484e2729aec6c078f4b738063707cd084f0aeda3b772365120a4332bccdd5ae9c172bd919019222c119655093
MISC metadata.xml 424 BLAKE2B 2aa51699a12054e082cac4af9797ed81f3b9725cf8e91782736264584613b0181edf6d6207a4278b313781ce1140b33893d3504682ae8ebdc96ce13e4c7c64b5 SHA512 3df29949e8a74f2907bcdb7aa75fd2846b0a69c1ade03f2db64177cea45834f531a1d290fd0e562c29391b248d5b1a8bd1992d1f57ce5ec4c46b55a8c43e6a81
diff --git a/dev-python/readthedocs-sphinx-ext/readthedocs-sphinx-ext-2.2.4.ebuild b/dev-python/readthedocs-sphinx-ext/readthedocs-sphinx-ext-2.2.4.ebuild
new file mode 100644
index 000000000000..00dffbb4b59c
--- /dev/null
+++ b/dev-python/readthedocs-sphinx-ext/readthedocs-sphinx-ext-2.2.4.ebuild
@@ -0,0 +1,30 @@
+# Copyright 2020-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Code specific for Read the Docs and Sphinx"
+HOMEPAGE="
+ https://github.com/readthedocs/readthedocs-sphinx-ext/
+ https://pypi.org/project/readthedocs-sphinx-ext/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/jinja-2.9[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/sphinx[${PYTHON_USEDEP}]
+"
+
+# unittest should be sufficient but tests are very verbose, so pytest's
+# output capture is most welcome
+distutils_enable_tests pytest
diff --git a/dev-python/sentry-sdk/Manifest b/dev-python/sentry-sdk/Manifest
index 68e9f14326d6..bcaf4c9003d7 100644
--- a/dev-python/sentry-sdk/Manifest
+++ b/dev-python/sentry-sdk/Manifest
@@ -1,6 +1,8 @@
AUX sentry-sdk-1.21.0-ignore-warnings.patch 329 BLAKE2B cdb4295e600d868feb11b4a0af534bca90a1fa777344d56c945ddcfe71b3db10848df4032df06b9acf84cf574bec04dce4dc8935dd7421a6d0a2a011db337d6f SHA512 d1b5c50c78d1bb299280c4937fc8a8fdfc7d174d41061a32b57178c4dee58ab4b4b7afe8566a6b79244e53be8714b3ee7fdc9bf3401835d6d743e9fdc5a0aa05
DIST sentry-python-1.37.1.gh.tar.gz 447142 BLAKE2B 16e495a69e4757520e4fa9854248f7fdd31056489b016d86a0f087b7a709fa70a1f9cf655c4e319e8a69cdedd138c34864d03907a7423be329dbd00f66a2c568 SHA512 193d20949ce87dc530bbc97a522fd0c8566ccd2d2f14287c8e903dd39bb8a19af7aa59de0bcb90f06375353c79cbc19af704a17844b2073860bc879d2b551542
DIST sentry-python-1.38.0.gh.tar.gz 448517 BLAKE2B de047d20e8dd90018a7ce8dd102efc7ce970bb269c04d643c67e9fb46a9ad9eebcd89b08dfe1f0782dc51f61478c6e472ed25262e8a2bca7cfb7e0d9936abe78 SHA512 dbdcb7f53ee8da6071befec7a619324c0baabb383bb000875992e82bca97d0f49c7a8836c91a2ae20ae814ed55bf485d01c4762a82761083a19b1db8557d6983
+DIST sentry-python-1.39.1.gh.tar.gz 451286 BLAKE2B ff81f800f41d5f2c6a8ae0007338a394a176de4705753839e6bd4b74ac9aa21eb340582d6bc33e3a482c020fdc8307e472b9278ff101899f44a1a42429e158bd SHA512 0b162cc677b1e59434b6c58ccced4d84f6679b5ff733271938b07302e0e9a9d706304334282bd7b7e1c1f4026ed98fae3e5635cfac306e08a3aee801d75e1d7c
EBUILD sentry-sdk-1.37.1.ebuild 4721 BLAKE2B ef1c721fc5270311d5938a0e311e8f11791212a27b5ade0659aab5345f9455b9072a09d214c644fdbf13a32a37f854a062c462d64d932fb062f2ae445f717741 SHA512 20fc9b68656542cb7b7d78b34fcc158399f8cf1568f315beebc865994ad24985abfaf8c467388686b13baf6e794718d477aa32ca25a3f5f476d128043c51e7cd
EBUILD sentry-sdk-1.38.0.ebuild 4725 BLAKE2B 706cdbd305f87290e16917c4b23e25736f16879b8195ca85c8adee389c7be5cbc530f63d6aea1e7755ae4b9bc0c25507b5b62a695946f31063209594672355c9 SHA512 6fe4cb8b6b65209e7067324e3785270bdd80c0bda970509114fb81f066d7b5e405fbf60e44f61bb5bb3b678c7570af35c2c4f66d5765ecd090c85906abf5297d
+EBUILD sentry-sdk-1.39.1.ebuild 5298 BLAKE2B af7b07d44389011e9c7e7ffa02f59bc784e10b7b77c085f2e37029e71fa7dd7e861a41db8ba02bdf11b6007168e50da2e15173e21a78abeba711a67861a94c67 SHA512 ec8c2d6cc4ef9b491c07f877bbd6c8ae3faa8afece8a80c912f5b1544210da8521cd89c1dac5b6f186897e69b3536c6075a2b951b39ba9c3fddf9c96727502e7
MISC metadata.xml 510 BLAKE2B e00011699ac2cc83f1923e1f6fa813ede7eab8c57f9ce9d9fca04e721b089db1c5f2bdffaa7b9856f56b433abd9189125e07ffd3f329e4fa8d098e28a4f2d7bd SHA512 bafb77a102d94fe050cb526b298fb8cfd56775cb4d07eda280f6356fbec6fbe5df5c9ebd459d9d4457cd027c2e0d7c349e053fa6070b52f0d2989f6ec600b87d
diff --git a/dev-python/sentry-sdk/sentry-sdk-1.39.1.ebuild b/dev-python/sentry-sdk/sentry-sdk-1.39.1.ebuild
new file mode 100644
index 000000000000..8f79f1a61eb8
--- /dev/null
+++ b/dev-python/sentry-sdk/sentry-sdk-1.39.1.ebuild
@@ -0,0 +1,143 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..12} )
+
+inherit distutils-r1
+
+MY_P=sentry-python-${PV}
+DESCRIPTION="Python client for Sentry"
+HOMEPAGE="
+ https://sentry.io/
+ https://github.com/getsentry/sentry-python/
+ https://pypi.org/project/sentry-sdk/
+"
+SRC_URI="
+ https://github.com/getsentry/sentry-python/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="PSF-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ dev-python/urllib3[${PYTHON_USEDEP}]
+ dev-python/certifi[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/asttokens[${PYTHON_USEDEP}]
+ dev-python/django[${PYTHON_USEDEP}]
+ dev-python/executing[${PYTHON_USEDEP}]
+ dev-python/fakeredis[${PYTHON_USEDEP}]
+ dev-python/flask-login[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pyrsistent[${PYTHON_USEDEP}]
+ dev-python/pytest-aiohttp[${PYTHON_USEDEP}]
+ dev-python/pytest-django[${PYTHON_USEDEP}]
+ dev-python/pytest-forked[${PYTHON_USEDEP}]
+ dev-python/pytest-localserver[${PYTHON_USEDEP}]
+ dev-python/python-socks[${PYTHON_USEDEP}]
+ dev-python/responses[${PYTHON_USEDEP}]
+ dev-python/werkzeug[${PYTHON_USEDEP}]
+ dev-python/zope-event[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+PATCHES=(
+ "${FILESDIR}/sentry-sdk-1.21.0-ignore-warnings.patch"
+)
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # tests require Internet access
+ tests/integrations/httpx/test_httpx.py
+ tests/integrations/requests/test_requests.py
+ tests/integrations/stdlib/test_httplib.py
+ tests/integrations/flask/test_flask.py
+ tests/integrations/django/test_basic.py
+ tests/integrations/socket/test_socket.py
+ # wtf is it supposed to do?!
+ tests/integrations/gcp/test_gcp.py
+ # broken by rq-1.10.1 (optional dep)
+ tests/integrations/rq/test_rq.py
+ # fastapi is not packaged
+ tests/integrations/asgi/test_fastapi.py
+ # TODO
+ tests/integrations/bottle
+ # TODO: causes breakage in other tests
+ tests/integrations/starlette
+ # TODO
+ tests/integrations/tornado
+ # requires mockupdb
+ tests/integrations/pymongo
+ # requires AWS access
+ tests/integrations/aws_lambda
+ )
+
+ local EPYTEST_DESELECT=(
+ # hangs
+ 'tests/test_transport.py::test_transport_works'
+ # TODO
+ 'tests/test_basics.py::test_auto_enabling_integrations_catches_import_error'
+ tests/test_client.py::test_databag_depth_stripping
+ tests/test_client.py::test_databag_string_stripping
+ tests/test_client.py::test_databag_breadth_stripping
+ tests/integrations/asgi/test_asgi.py::test_auto_session_tracking_with_aggregates
+ tests/integrations/asgi/test_asgi.py::test_websocket
+ tests/integrations/aiohttp/test_aiohttp.py::test_transaction_style
+ tests/integrations/aiohttp/test_aiohttp.py::test_traces_sampler_gets_request_object_in_sampling_context
+ tests/integrations/django/test_data_scrubbing.py::test_scrub_django_custom_session_cookies_filtered
+ # incompatible version?
+ tests/integrations/falcon/test_falcon.py
+ tests/integrations/sqlalchemy/test_sqlalchemy.py::test_large_event_not_truncated
+ tests/integrations/django/test_data_scrubbing.py::test_scrub_django_session_cookies_{filtered,removed}
+ # test_circular_references: apparently fragile
+ 'tests/integrations/threading/test_threading.py::test_circular_references'
+ # test for new feature, fails with IndexError
+ tests/integrations/wsgi/test_wsgi.py::test_session_mode_defaults_to_request_mode_in_wsgi_handler
+ # TODO
+ tests/integrations/wsgi/test_wsgi.py::test_auto_session_tracking_with_aggregates
+ tests/integrations/wsgi/test_wsgi.py::test_profile_sent_when_profiling_enabled
+ tests/test_profiler.py::test_sample_buffer
+ tests/test_profiler.py::test_thread_scheduler_takes_first_samples
+ tests/test_profiler.py::test_thread_scheduler_takes_more_samples
+ tests/test_profiler.py::test_thread_scheduler_single_background_thread
+ # broken with py3.11, *shrug*
+ tests/test_profiler.py::test_extract_stack_with_max_depth
+ # TODO
+ tests/integrations/sqlalchemy/test_sqlalchemy.py::test_long_sql_query_preserved
+ tests/integrations/sqlalchemy/test_sqlalchemy.py::test_engine_name_not_string
+ tests/test_scrubber.py::test_breadcrumb_extra_scrubbing
+ tests/test_scrubber.py::test_span_data_scrubbing
+ # this is not even funny
+ tests/test_utils.py::test_installed_modules
+ # flaky hypothesis stuff
+ tests/test_serializer.py::test_bytes_serialization_repr_many
+ # TODO
+ tests/integrations/aiohttp/test_aiohttp.py::test_basic
+ tests/tracing/test_decorator_py3.py::test_trace_decorator_{,a}sync_py3
+ # crashes Python
+ tests/integrations/grpc/test_grpc_aio.py
+ # hangs
+ tests/integrations/threading/test_threading.py::test_propagates_threadpool_hub
+ # TODO
+ tests/test_utils.py::test_default_release
+ tests/integrations/sqlalchemy/test_sqlalchemy.py::test_orm_queries
+ tests/integrations/sqlalchemy/test_sqlalchemy.py::test_transactions
+ tests/integrations/sqlalchemy/test_sqlalchemy.py::test_query_source
+ tests/integrations/stdlib/test_subprocess.py::test_subprocess_basic
+ tests/integrations/threading/test_threading.py
+ tests/integrations/wsgi/test_wsgi.py
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p asyncio -p aiohttp -p pytest_forked
+}
diff --git a/dev-python/trio/Manifest b/dev-python/trio/Manifest
index 60ca029872ed..44b8490b6b77 100644
--- a/dev-python/trio/Manifest
+++ b/dev-python/trio/Manifest
@@ -1,3 +1,5 @@
DIST trio-0.23.1.gh.tar.gz 585734 BLAKE2B 07a03f9ddd26f4e69bda651bc0821bb02895a244400cc5ec829b82e027304722248f7cf608bad8afb928e54736034349d736ca1aaa40b470cbbc3c1a74e3c77c SHA512 e7348cefb364689060c32987120c50081c677531fb4082a68956c431112b9966af6db09ebdca036980af660e48c2bc8addd05b58d62678d45ed7ffa1ce862dcc
+DIST trio-0.23.2.gh.tar.gz 592068 BLAKE2B 4f985c03528343f6091988984b081399f4a661f73896af13b4face0c7eab242d763d4ae964d36f8c9d0fcce797518283a492edd556a83af10502c8fc617cdb91 SHA512 a77b2a20459eb4989e9db6d21b06472b3cce51f4cb28cc6f3ab2f3e1684b3ccb37775e0d60af1f121c63a54fb92d62955f76109c922879234f0a21ce8c9f20c1
EBUILD trio-0.23.1.ebuild 2076 BLAKE2B 86720082e94637ec9dea976d9ed88b2478cbb04c12b23f378466d17eaa0294bb0e4eed7439905b99bb071d6e4247c78d093026d004516505658204f48979ac21 SHA512 ace3900f3fbd3473fcb52d703b5ff452472f2055a884cfccffc387a013076ea6488e40679ed4a25147d1cd47ebfb92e9b8f752dc35acb76a2982c6b6d22eece3
+EBUILD trio-0.23.2.ebuild 1749 BLAKE2B ebd828e3c557fa7fc3b4855869717aea1499dc1120c3badc07719ac3ea6b9e747d3db4b68e2f437dd3b5a074b41886455bcbe375adb586eae8012583f2c33b71 SHA512 937d0ec3862b1313ef38ed54bfb58a4727bf1f47779c84ce6a89827c907a39bda4312ed46699579569b436564616c50045fc0b22ec377c1d370a288f78b96e01
MISC metadata.xml 2060 BLAKE2B bb6ddfddfb3c19038e5982227a8c5f9999b93868c343a9a5bf7af5963006b5b719ef960f65b91747dfddf19544134db9e1a2d65e94192c079c64c303cdc8997a SHA512 4b86e7cccddc200d5616550e309ad46587f900ed13c38196e874e5110974b856d65e18745b8b7b42858cb672940ba280b0c2ea54d33f9b5bf32a375fa1232088
diff --git a/dev-python/trio/trio-0.23.2.ebuild b/dev-python/trio/trio-0.23.2.ebuild
new file mode 100644
index 000000000000..3e69d96168ca
--- /dev/null
+++ b/dev-python/trio/trio-0.23.2.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python library for async concurrency and I/O"
+HOMEPAGE="
+ https://github.com/python-trio/trio/
+ https://pypi.org/project/trio/
+"
+SRC_URI="
+ https://github.com/python-trio/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="|| ( Apache-2.0 MIT )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/attrs-20.1.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/exceptiongroup[${PYTHON_USEDEP}]
+ ' 3.10)
+ dev-python/idna[${PYTHON_USEDEP}]
+ dev-python/outcome[${PYTHON_USEDEP}]
+ >=dev-python/sniffio-1.3.0[${PYTHON_USEDEP}]
+ dev-python/sortedcontainers[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/astor-0.8.0[${PYTHON_USEDEP}]
+ >=dev-python/immutables-0.6[${PYTHON_USEDEP}]
+ dev-python/pyopenssl[${PYTHON_USEDEP}]
+ dev-python/trustme[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+# Bug https://bugs.gentoo.org/916756
+# distutils_enable_sphinx docs/source \
+# dev-python/immutables \
+# dev-python/sphinxcontrib-trio \
+# dev-python/sphinx-rtd-theme \
+# dev-python/towncrier
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # Times out on slower arches (ia64 in this case)
+ # https://github.com/python-trio/trio/issues/1753
+ tests/test_unix_pipes.py::test_close_at_bad_time_for_send_all
+ # requires ruff
+ _tests/tools/test_gen_exports.py
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ rm -rf trio || die
+ epytest -p trio._tests.pytest_plugin \
+ -m "not redistributors_should_skip" \
+ --pyargs trio \
+ --skip-optional-imports
+}
diff --git a/dev-python/trove-classifiers/Manifest b/dev-python/trove-classifiers/Manifest
index 209551f68ee2..dabbbb12ece0 100644
--- a/dev-python/trove-classifiers/Manifest
+++ b/dev-python/trove-classifiers/Manifest
@@ -1,3 +1,3 @@
DIST trove-classifiers-2023.11.29.tar.gz 15918 BLAKE2B 3e216aa24a458f5c65a20b2589dff34c382c3e1ccba5274377b09bcc254fafb077dfd3f82b0f1c998a9c34b20f35eca27bd7d8103b631a03eb87a9c1525c057e SHA512 fdeb6bbddbb3ad640112827b55f4b0a2201c79e2a4013d2d621bf0a6168d87861ad1802b0805747fc7d9e8be7e1954d58b83fd4fde6f3394cec2fa3aa88f0dca
-EBUILD trove-classifiers-2023.11.29.ebuild 745 BLAKE2B 846ffa4b90684e3fac85cba80f884365153acabac85155ee5c8a0045d4991d401543fffc664f463154cec7c8dffd5525bb63154a53bb382f3ea5630994507857 SHA512 1811353fafe152e1e324411b57617a9df4a5b3e96e43db712c06da2d4f3288d66d19edaa507c1f5c40ce380ffdfe5f1f45e2b9fed47ba8eb02d18c6381c93a15
+EBUILD trove-classifiers-2023.11.29.ebuild 1142 BLAKE2B abe0c6eb91f275425a292196f6b76bc580f6c7e17ccc98148e1a85bbd869997428c5ff5ca65b771408d3401e29479d3264865ac43eb0169f36935f913da9dba1 SHA512 50a9e00c11843a13fdba5e026a71bd249a277a8e38e11e5e0239297af627c9a4aa3f08bb29862aa739d0a08f1ed1a45fbb6c3786be4f4fce5d0ceef3e07385b4
MISC metadata.xml 385 BLAKE2B 0d679ace6575dab100af9918e8b6dbde2f70cbf556c23ee667d68f69c6dd07887e43a513a73e60849a7a4b88cb26d4cd85b4cb905b926ee3832161c663adc9c0 SHA512 977bc86d4fb2dfcc887fd8d4038b8ac76cb0f4783424d3ab0857256afaf5dacf4e45c0d2a9166daa854be1dc8faba4a10c4718c557b983a1c7bb0a33fcd61f41
diff --git a/dev-python/trove-classifiers/trove-classifiers-2023.11.29.ebuild b/dev-python/trove-classifiers/trove-classifiers-2023.11.29.ebuild
index 128170d83dde..66a6ca8b4872 100644
--- a/dev-python/trove-classifiers/trove-classifiers-2023.11.29.ebuild
+++ b/dev-python/trove-classifiers/trove-classifiers-2023.11.29.ebuild
@@ -3,7 +3,7 @@
EAPI=8
-DISTUTILS_USE_PEP517=setuptools
+DISTUTILS_USE_PEP517=flit
PYPI_NO_NORMALIZE=1
PYTHON_COMPAT=( pypy3 python3_{10..12} )
@@ -19,12 +19,24 @@ LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
-BDEPEND="
- dev-python/calver[${PYTHON_USEDEP}]
-"
-
distutils_enable_tests pytest
+src_configure() {
+ grep -q 'build-backend = "setuptools' pyproject.toml ||
+ die "Upstream changed build-backend, recheck"
+ # write a custom pyproject.toml to ease hatchling bootstrap
+ cat > pyproject.toml <<-EOF || die
+ [build-system]
+ requires = ["flit_core >=3.2,<4"]
+ build-backend = "flit_core.buildapi"
+
+ [project]
+ name = "trove-classifiers"
+ version = "${PV}"
+ description = "Canonical source for classifiers on PyPI (pypi.org)."
+ EOF
+}
+
python_test() {
epytest
"${EPYTHON}" -m tests.lib || die
diff --git a/dev-python/versioningit/Manifest b/dev-python/versioningit/Manifest
index a8689e301fe0..9b2c972cfa35 100644
--- a/dev-python/versioningit/Manifest
+++ b/dev-python/versioningit/Manifest
@@ -1,3 +1,5 @@
DIST versioningit-2.3.0.tar.gz 209785 BLAKE2B 392706b969a3a94be6dee2bbd8935cf97e3f0ab0b102c5ae1ef2d65b25d6e44faf9e50301639aca77c8d81e0265875c548a9d28d331cbc07aaae7ed589c6ab04 SHA512 2e91ab8bf7be333b4783e8e7ad6cf4897694a5d3e14f41cad0f3683291078fb88845d629ee1e41885408bf07d5ea6250588af6e6cf6d6596df1bae4bee5ddf0b
+DIST versioningit-3.0.0.tar.gz 203693 BLAKE2B 8253e367eea67711f2381bf6484f18b26d356c48872cb2f3b135c42c08d0e03114bfea4d02eb50e404094167609b24bab37f1bb7cc73ba877777f524e564f5db SHA512 162cbe50d22be03c20e5d6efad0672264544fa918d706cdf158b30befe429f8ba0621b664c91ccad2f13d24176f7a3a1a36a8dc2b7a0263c8585d06b4f98bc41
EBUILD versioningit-2.3.0.ebuild 822 BLAKE2B 1d13e0759b2bdff6a4f985c28070008978d0b655c15de369bede615a6d31c2f601fcb39c9e4de67deee2db64dab74af7d110d7b3888caa21af7e7fb65ef95ffa SHA512 2cfe6879a0cc96e845eb8cc87f9c3d377e8617a8f1ba6fb4815cf38e1d9f48d7d85d9e41ed1c61abb1869089175fd5116b62b1ac3d7411ca592b03d344605eaa
+EBUILD versioningit-3.0.0.ebuild 823 BLAKE2B fce1920ebaa15dc5df59a86958f276112ae02c2b7786c7948447d27534d26bae51fa6404e9d592ba4889e0a4764341b721be7682f0a2c9a6007d6f3f619594ac SHA512 307cadcb6ad425ddf16861d78f5c1e1e9e14ea8bccaae184e99f68cc7ffec67dd021c7e7016a28c568527a87acf94381bf081b35a192ecabe418ef60766cfe9c
MISC metadata.xml 400 BLAKE2B 96934adb9ade5b51537765da51d530a644f87328688415cfd5b239048adede18db1ec7cbb2a234cc2e28fea368aa9c815176bb22262c9053fdc2c85c6c6e3f56 SHA512 9070b850fff35058a11cc7504bbc5fbef17cc9154df5419a64bae10fd3cb160a043ffd0880fc3c5054bd1d2eb4891bcbf5764c56f2441ab79366336caf91e379
diff --git a/dev-python/versioningit/versioningit-3.0.0.ebuild b/dev-python/versioningit/versioningit-3.0.0.ebuild
new file mode 100644
index 000000000000..29865cde2779
--- /dev/null
+++ b/dev-python/versioningit/versioningit-3.0.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A setuptools plugin for versioning based on git tags"
+HOMEPAGE="
+ https://github.com/jwodder/versioningit/
+ https://pypi.org/project/versioningit/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/packaging-17.1[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ <dev-python/tomli-3[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+BDEPEND="
+ test? (
+ dev-python/pydantic[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_IGNORE=(
+ # Tries to do wheel/pip installs
+ test/test_end2end.py
+)
+
+distutils_enable_tests pytest
+
+python_test() {
+ epytest -o addopts=
+}
diff --git a/dev-python/zeroconf/Manifest b/dev-python/zeroconf/Manifest
index 312e23e0d725..4c7133816e7c 100644
--- a/dev-python/zeroconf/Manifest
+++ b/dev-python/zeroconf/Manifest
@@ -1,7 +1,9 @@
DIST zeroconf-0.127.0.tar.gz 161143 BLAKE2B ee560845016ab1de0b065aaae8cd6791ddc847417241c7f2477301948945e938a2ff68206d30166a6049a7ad5919d15bcc6acac9fd9d33d17d5e77154b9f9c0c SHA512 7c8aef766dcc0f3411c4230decd5a0af18ae795e0e4253be2dc69af6ba314271a336807ace1458bb0a081455afa8cc9d8769413bbc97f024e3d3e877cd1e6f2f
DIST zeroconf-0.128.0.tar.gz 161199 BLAKE2B 7526c6f4a242e7ab0035ea3f2b29b3b43bbb6235950e7b2899472986e4186584275a39e6341c661203499528f47b2d255d4df3e2e092b0c864a1cf6b5c09a379 SHA512 d058828691a97c7634319fedcf688401d01ae372521d48b3749570975a5afbde839d14a4e34463c20fd267d006bf708c098a4f180844398a64fd96d1538edfa4
DIST zeroconf-0.128.4.tar.gz 162384 BLAKE2B cd8b60d0f0bdf01835fc1bf3c9bc74311ea4cc353ba1e0825264e850d070c8cee3565ec9942d825c404406623c7e65851688b447afbe1bf9884da077993a77de SHA512 d0781c1c5752eda31806826475cee0e7032e4bae9612adf0f8b7dab21d15be2762fb37af17a34f93f2f5f27ee936fcf4d7e58ce1d9b42af3e8681d5e8eb326ee
+DIST zeroconf-0.129.0.tar.gz 163756 BLAKE2B 13ac698352fd18d2025ed60d6906e7add6726a07c0e5e29f4fbf5bdd9f666a17d0401acbab70197182e7112e98e03eceb8a5d64f927a15f52b592b669615a4ad SHA512 51e6edf5474e8bfcd63c31b13abc5ef382c4eab1e4d41e2d4f454615e1cc09aab63dc13f29c1a1126d3ae131c6d8df762748f0c5bdf2149c968517a0a15fc0ff
EBUILD zeroconf-0.127.0.ebuild 1405 BLAKE2B b167a28cf099dd1aaad147621c687841be3874cb7ac7e7f4df1c006a68d19985de520845aded6f9054f77bd41676d3d93b61a64298d78968eaad921594da806d SHA512 2acadec24d9e672d1bccc1ac39998ca2b6dde0c174ea6e10209e942c8981e6a143c9676ccb62436749e180c2eeec70594f73093189a177b81e10dc1d18f712c9
EBUILD zeroconf-0.128.0.ebuild 1407 BLAKE2B f03c87e5bd2d193c7ab789520ab1c8a6b82bcc05467eed483d51e697eb726d351bb38ca071c2d5c11a24f753375c9fcfaf11d2ecddc5b57d04aac0fd6bd2da46 SHA512 416020fe854b895b2382444edf75ddf71f8bb697b1e8b632fc726b5b3d3fbb4fe62d7ab184f40b0294fe183466479e800db8b41e8f5f5ee5aa6e41260a9485dc
EBUILD zeroconf-0.128.4.ebuild 1411 BLAKE2B 848c9750c9250cfab6c26e1020e7b88e2f175afc1efb2f2c44b9d1c1d5d5f2ca41ebe5c9a315b7aee667f536529e8e337a3bf152b7f5104c40a6de47fce0e0d5 SHA512 b2fd4ddbd429b1a11c65c60c67cb3b2299f1bcc0ac0afba5eea958bb36e3927cfb7cb9eae539c8bac2570899b19b7a43996aa65140df8a1bf6d7abc245b86ac2
+EBUILD zeroconf-0.129.0.ebuild 1411 BLAKE2B 848c9750c9250cfab6c26e1020e7b88e2f175afc1efb2f2c44b9d1c1d5d5f2ca41ebe5c9a315b7aee667f536529e8e337a3bf152b7f5104c40a6de47fce0e0d5 SHA512 b2fd4ddbd429b1a11c65c60c67cb3b2299f1bcc0ac0afba5eea958bb36e3927cfb7cb9eae539c8bac2570899b19b7a43996aa65140df8a1bf6d7abc245b86ac2
MISC metadata.xml 395 BLAKE2B e1ce7a8fbd6d50fd59fbce671a535a3af2fde79dcc98f146c4e361759e61ce6d7e4e241866262fcd78744c673212d1946830c3d7628956b498a98d0af36d4c3d SHA512 544cb62da7212926b63c4e19467fc3e3f7c8210320a8096dc913a846d392e9a09c2b9860312f88effc8ad7a54e0329149a68012b08c674663af5779957e037f9
diff --git a/dev-python/zeroconf/zeroconf-0.129.0.ebuild b/dev-python/zeroconf/zeroconf-0.129.0.ebuild
new file mode 100644
index 000000000000..9cb88f18ecad
--- /dev/null
+++ b/dev-python/zeroconf/zeroconf-0.129.0.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Pure Python Multicast DNS Service Discovery Library (Bonjour/Avahi compatible)"
+HOMEPAGE="
+ https://github.com/python-zeroconf/python-zeroconf/
+ https://pypi.org/project/zeroconf/
+"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/ifaddr-0.1.7[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/async-timeout-3.0.0[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+# the build system uses custom build script that uses distutils to build
+# C extensions, sigh
+BDEPEND="
+ >=dev-python/cython-3.0.5[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-65.6.3[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+export REQUIRE_CYTHON=1
+
+python_test() {
+ local -x SKIP_IPV6=1
+ local EPYTEST_DESELECT=(
+ # network
+ tests/test_core.py::Framework::test_close_multiple_times
+ tests/test_core.py::Framework::test_launch_and_close
+ tests/test_core.py::Framework::test_launch_and_close_context_manager
+
+ # fragile to timeouts (?)
+ tests/services/test_browser.py::test_service_browser_expire_callbacks
+ tests/utils/test_asyncio.py::test_run_coro_with_timeout
+ )
+
+ epytest -o addopts=
+}